`timescale 1 ns/100 ps
// Version: 8.5 SP2 8.5.2.4


module agl_nano_ff(
       Flash_Freeze_N,
       RST_N,
       CLK,
       CLK_GATED,
       Flash_Freeze_Enabled
    );
input  Flash_Freeze_N;
input  RST_N;
input  CLK;
output CLK_GATED;
output Flash_Freeze_Enabled;

    wire N_FlashFreeze, N_Housekeeping, GND_net;
    wire GND_power_net1;
    assign GND_net = GND_power_net1;
    
    INBUF_FF FlashFreeze_Inbuf (.PAD(Flash_Freeze_N), .Y(N_FlashFreeze)
        ) /* synthesis syn_noprune=1 */;
    agl_nano_ff_wrapper agl_nano_ff_wrapper_inst (.Flash_Freeze_N(
        N_FlashFreeze), .RST_N(RST_N), .CLK(CLK), .Done_Housekeeping(
        N_Housekeeping), .Wait_Housekeeping(N_Housekeeping), 
        .CLK_GATED(CLK_GATED), .AUX_CLK({GND_net}), .AUX_CLK_GATED({
        nc0}), .Flash_Freeze_Enabled(Flash_Freeze_Enabled));
    GND GND_power_inst1 (.Y(GND_power_net1));
    
endmodule

// _Disclaimer: Please leave the following comments in the file, they are for internal purposes only._


// _GEN_File_Contents_

// Version:8.5.2.4
// LPMTYPE:LPM_FLASHFREEZE
// LPM_HINT:NONE
// FLASH_FREEZE_PN:Flash_Freeze_N
// FF_TYPE:2
// FLASH_FREEZE_ENABLED_PN:Flash_Freeze_Enabled
// FLASH_FREEZE_ENABLED_POLARITY:1
// ENABLE_HK:0
// RST_PN:RST_N
// CLK_PN:CLK
// GATED_CLK_PN:CLK_GATED
// NUMBER_OF_AUX_CLKS:0
// OUTFORMAT:Verilog
// DESIGN:agl_nano_ff
// FAM:IGLOO

// _End_Comments_

