module agl_nano_ff_wrapper ( Flash_Freeze_N,
               RST_N,
               CLK,
               AUX_CLK,
               Wait_Housekeeping,
               Done_Housekeeping,
               CLK_GATED,
               AUX_CLK_GATED,
               Flash_Freeze_Enabled );

    input Flash_Freeze_N;
    input RST_N;
    input CLK;
    input[1-1 :0] AUX_CLK;
    output Wait_Housekeeping;
    input Done_Housekeeping;
    output CLK_GATED;
    output[1-1 :0] AUX_CLK_GATED;
    output Flash_Freeze_Enabled;

    wire Flash_Freeze_N;
    wire RST_N;
    wire CLK;
    wire [1-1 :0]AUX_CLK;
    wire Wait_Housekeeping;
    wire Done_Housekeeping;
    wire CLK_GATED;
    wire [1-1 :0]AUX_CLK_GATED;
    wire Flash_Freeze_Enabled;

    defparam user_agl_nano_ff_wrapper.NUMBER_OF_ADDITIONAL_CLOCKS = 1;

    FlashFreeze_Managment user_agl_nano_ff_wrapper ( 
	.Flash_Freeze_N (Flash_Freeze_N),
	.RST_N (RST_N),
	.CLK (CLK),
	.AUX_CLK (AUX_CLK),
	.Wait_Housekeeping (Wait_Housekeeping),
	.Done_Housekeeping (Done_Housekeeping),
	.CLK_GATED (CLK_GATED),
	.AUX_CLK_GATED (AUX_CLK_GATED),
	.Flash_Freeze_Enabled (Flash_Freeze_Enabled) );

endmodule