
module FlashFreeze_Managment #(parameter NUMBER_OF_ADDITIONAL_CLOCKS = 1)
(
input Flash_Freeze_N, CLK, RST_N, Done_Housekeeping,
input [NUMBER_OF_ADDITIONAL_CLOCKS-1:0] AUX_CLK,
output [NUMBER_OF_ADDITIONAL_CLOCKS-1:0] AUX_CLK_GATED,
output Wait_Housekeeping,
output Flash_Freeze_Enabled,
output CLK_GATED
)/*synthesis syn_global_buffers = 18 */;

FlashFreeze_FSM FlashFreeze_FSM_inst (
  .Flash_Freeze(Flash_Freeze_N),     
  .clock(CLK), 
  .reset(RST_N),      
  .safe_to_turn_off_clk(Done_Housekeeping), 
  .housekeeping_request(Wait_Housekeeping),
  .control_user_clock(control_user_clock_net),
  .Flash_Freeze_Enabled(Flash_Freeze_Enabled));

FlashFreeze_Filter Primary_Filter_Instance(
  .control_user_clock(control_user_clock_net), 
  .clock(CLK),
  .clock_to_user_logic(CLK_GATED));

generate
    genvar i;
    if(NUMBER_OF_ADDITIONAL_CLOCKS > 0)
    begin
      for(i=0; i< NUMBER_OF_ADDITIONAL_CLOCKS; i = i+1)
      begin: secondary_filter
        FlashFreeze_Filter seconday_filter_instance(
          .control_user_clock(control_user_clock_net),
          .clock(AUX_CLK[i]), 
          .clock_to_user_logic(AUX_CLK_GATED[i]));
      end
    end
endgenerate

endmodule

