`timescale 1 ns/100 ps
// Version: 8.5 SP2 8.5.2.4


module FlashFreeze_FSM(
       ff_enabled,
       N_FlashFreeze,
       int_reset_n,
       AGL_clk_c
    );
output ff_enabled;
input  N_FlashFreeze;
input  int_reset_n;
input  AGL_clk_c;

    wire \ff_current_state_ns_i_0_0_0[1] , \ff_current_state[2]_net_1 , 
        Flash_Freeze_reg_net_1, \ff_current_state_RNO[1]_net_1 , 
        housekeeping_request18, N_27_0, \ff_current_state[1]_net_1 , 
        \ff_current_state[0]_net_1 , N_Housekeeping, 
        \ff_current_state_ns[0] , N_25_0, N_26_0, N_24_0, N_48, N_23, 
        N_22, N_29, \ff_current_state_RNO[2]_net_1 , N_79, 
        trigger_ulsicc_0_sqmuxa, GND, VCC, GND_net_1, VCC_net_1;
    
    DFN1E1C0 trigger_ulsicc (.D(trigger_ulsicc_0_sqmuxa), .CLK(
        AGL_clk_c), .CLR(int_reset_n), .E(housekeeping_request18), .Q(
        ff_enabled));
    OR3C \ff_current_state_RNO[0]  (.A(N_25_0), .B(N_26_0), .C(N_24_0), 
        .Y(\ff_current_state_ns[0] ));
    OR3B \ff_current_state_RNO_0[0]  (.A(Flash_Freeze_reg_net_1), .B(
        \ff_current_state[2]_net_1 ), .C(\ff_current_state[0]_net_1 ), 
        .Y(N_25_0));
    DFN1C0 \ff_current_state[1]  (.D(\ff_current_state_RNO[1]_net_1 ), 
        .CLK(AGL_clk_c), .CLR(int_reset_n), .Q(
        \ff_current_state[1]_net_1 ));
    DFN1C0 \ff_current_state[0]  (.D(\ff_current_state_ns[0] ), .CLK(
        AGL_clk_c), .CLR(int_reset_n), .Q(\ff_current_state[0]_net_1 ));
    AO1B housekeeping_request_RNO_2 (.A(\ff_current_state[1]_net_1 ), 
        .B(N_Housekeeping), .C(\ff_current_state[0]_net_1 ), .Y(N_22));
    GND GND_i_0 (.Y(GND_net_1));
    OR3B \ff_current_state_RNO_0[2]  (.A(N_Housekeeping), .B(
        \ff_current_state[1]_net_1 ), .C(Flash_Freeze_reg_net_1), .Y(
        N_79));
    MX2B \ff_current_state_RNO[2]  (.A(\ff_current_state[2]_net_1 ), 
        .B(N_79), .S(\ff_current_state[0]_net_1 ), .Y(
        \ff_current_state_RNO[2]_net_1 ));
    VCC VCC_i (.Y(VCC));
    NOR2A trigger_ulsicc_RNO (.A(\ff_current_state[2]_net_1 ), .B(
        Flash_Freeze_reg_net_1), .Y(trigger_ulsicc_0_sqmuxa));
    OR3B housekeeping_request_RNO_0 (.A(N_23), .B(N_22), .C(
        \ff_current_state[2]_net_1 ), .Y(N_48));
    NOR3C \ff_current_state_RNO_1[1]  (.A(N_Housekeeping), .B(
        \ff_current_state[1]_net_1 ), .C(\ff_current_state[0]_net_1 ), 
        .Y(N_27_0));
    OR3 \ff_current_state_RNO_2[0]  (.A(\ff_current_state[0]_net_1 ), 
        .B(\ff_current_state[2]_net_1 ), .C(Flash_Freeze_reg_net_1), 
        .Y(N_24_0));
    DFN1C0 Flash_Freeze_reg (.D(N_FlashFreeze), .CLK(AGL_clk_c), .CLR(
        int_reset_n), .Q(Flash_Freeze_reg_net_1));
    GND GND_i (.Y(GND));
    VCC VCC_i_0 (.Y(VCC_net_1));
    NOR2A housekeeping_request_RNO (.A(\ff_current_state[1]_net_1 ), 
        .B(\ff_current_state[0]_net_1 ), .Y(N_29));
    DFN1E0C0 housekeeping_request (.D(N_29), .CLK(AGL_clk_c), .CLR(
        int_reset_n), .E(N_48), .Q(N_Housekeeping));
    NOR3 \ff_current_state_RNO[1]  (.A(
        \ff_current_state_ns_i_0_0_0[1] ), .B(housekeeping_request18), 
        .C(N_27_0), .Y(\ff_current_state_RNO[1]_net_1 ));
    OR2B housekeeping_request_RNO_1 (.A(\ff_current_state[1]_net_1 ), 
        .B(Flash_Freeze_reg_net_1), .Y(N_23));
    OR2 \ff_current_state_RNO_0[1]  (.A(\ff_current_state[2]_net_1 ), 
        .B(Flash_Freeze_reg_net_1), .Y(
        \ff_current_state_ns_i_0_0_0[1] ));
    NOR2 \ff_current_state_RNI9GK2[0]  (.A(\ff_current_state[1]_net_1 )
        , .B(\ff_current_state[0]_net_1 ), .Y(housekeeping_request18));
    DFN1C0 \ff_current_state[2]  (.D(\ff_current_state_RNO[2]_net_1 ), 
        .CLK(AGL_clk_c), .CLR(int_reset_n), .Q(
        \ff_current_state[2]_net_1 ));
    ULSICC ULSICC_INSTANCE (.LSICC(ff_enabled));
    OR3A \ff_current_state_RNO_1[0]  (.A(\ff_current_state[1]_net_1 ), 
        .B(N_Housekeeping), .C(Flash_Freeze_reg_net_1), .Y(N_26_0));
    
endmodule


module FlashFreeze_Managment_1s(
       AGL_clk_c,
       int_reset_n,
       N_FlashFreeze,
       ff_enabled
    );
input  AGL_clk_c;
input  int_reset_n;
input  N_FlashFreeze;
output ff_enabled;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    FlashFreeze_FSM FlashFreeze_FSM_inst (.ff_enabled(ff_enabled), 
        .N_FlashFreeze(N_FlashFreeze), .int_reset_n(int_reset_n), 
        .AGL_clk_c(AGL_clk_c));
    GND GND_i (.Y(GND));
    
endmodule


module agl_nano_ff_wrapper(
       ff_enabled,
       N_FlashFreeze,
       int_reset_n,
       AGL_clk_c
    );
output ff_enabled;
input  N_FlashFreeze;
input  int_reset_n;
input  AGL_clk_c;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    FlashFreeze_Managment_1s user_agl_nano_ff_wrapper (.AGL_clk_c(
        AGL_clk_c), .int_reset_n(int_reset_n), .N_FlashFreeze(
        N_FlashFreeze), .ff_enabled(ff_enabled));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    GND GND_i (.Y(GND));
    
endmodule


module agl_nano_ff(
       AGL_clk_c,
       int_reset_n,
       ff_enabled,
       AGL_ff
    );
input  AGL_clk_c;
input  int_reset_n;
output ff_enabled;
input  AGL_ff;

    wire N_FlashFreeze, GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    INBUF_FF FlashFreeze_Inbuf (.PAD(AGL_ff), .Y(N_FlashFreeze)) /* synthesis syn_noprune=1 */;
        
    agl_nano_ff_wrapper agl_nano_ff_wrapper_inst (.ff_enabled(
        ff_enabled), .N_FlashFreeze(N_FlashFreeze), .int_reset_n(
        int_reset_n), .AGL_clk_c(AGL_clk_c));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    GND GND_i (.Y(GND));
    
endmodule


module Rx_async_0s_0s_1s_2s(
       uart_data,
       AGL_rxd_c,
       int_reset_n,
       sys_clk,
       baud_clock,
       ff_enabled,
       tx_ready,
       baud_clock_0,
       tx_hold_reg6,
       tx_hold_reg6_i
    );
output [7:0] uart_data;
input  AGL_rxd_c;
input  int_reset_n;
input  sys_clk;
input  baud_clock;
input  ff_enabled;
input  tx_ready;
input  baud_clock_0;
output tx_hold_reg6;
output tx_hold_reg6_i;

    wire CUARTI10_e2_i_0, \CUARTI10[2]_net_1 , N_62, CUARTI10_e1_i_0, 
        CUARTI10_c0, \CUARTI10[1]_net_1 , rx_byte_1_sqmuxa_0_a3_m2_e_3, 
        \CUARTlO1[0]_net_1 , \CUARTlO1[1]_net_1 , 
        rx_byte_1_sqmuxa_0_a3_m2_e_1, \CUARTO10[0]_net_1 , 
        \CUARTlO1[2]_net_1 , rx_byte_1_sqmuxa_0_a3_m2_e_0, 
        \CUARTlO1[3]_net_1 , rx_ready, un1_read_rx_byte_1, 
        uart_overflow, CUARTI10_e1_i_o2_0, \CUARTO10_ns_0_0_a3_0[1] , 
        \CUARTO10[1]_net_1 , \CUARTO10_ns_0_iv_i_a2_1[0] , 
        \CUARTO10_ns_0_iv_i_o2_1[0] , \CUARTO10_ns_0_iv_i_o2_0[0] , 
        \CUARTI10[3]_net_1 , \CUARTO10_ns_0_0_o2_1[1] , 
        \CUARTO10_ns_0_0_o2_0[1] , N_47, CUARTO10_139_d, N_49, N_61, 
        N_36, CUARTI1012, N_38, N_81, N_97, N_43, 
        \CUARTlO1_RNI2NG7[1]_net_1 , N_96, N_205, 
        \CUARTI10_RNIUVC6[3]_net_1 , rx_byte_1_sqmuxa, CUARTlO1e, N_59, 
        CUARTlO1_n0, N_198, \CUARTOO1[1]_net_1 , N_18, 
        \CUARTOO1[2]_net_1 , N_20, \CUARTOO1[3]_net_1 , N_22, 
        \CUARTOO1[4]_net_1 , N_24, \CUARTOO1[5]_net_1 , N_26, 
        \CUARTOO1[6]_net_1 , N_28, \CUARTOO1[7]_net_1 , N_30, N_51, 
        N_70, N_34, N_40, N_83_i_i, \CUARTII1[1]_net_1 , 
        \CUARTII1[2]_net_1 , \CUARTII1[0]_net_1 , N_87, CUARTlI1_net_1, 
        N_6, N_11, \CUARTO10_ns[1] , CUARTlI1_4, \CUARTOO1[0]_net_1 , 
        GND, VCC, GND_net_1, VCC_net_1;
    
    NOR2A \CUARTOO1_RNO[7]  (.A(CUARTO10_139_d), .B(N_59), .Y(N_30));
    DFN1E1C0 \CUARTOO1[1]  (.D(N_18), .CLK(sys_clk), .CLR(int_reset_n), 
        .E(CUARTlO1e), .Q(\CUARTOO1[1]_net_1 ));
    XA1 \CUARTlO1_RNO[3]  (.A(\CUARTlO1[3]_net_1 ), .B(N_70), .C(
        CUARTO10_139_d), .Y(N_51));
    NOR2B \CUARTOO1_RNO[3]  (.A(\CUARTOO1[4]_net_1 ), .B(
        CUARTO10_139_d), .Y(N_22));
    DFN1E1C0 \CUARTOO1[0]  (.D(N_198), .CLK(sys_clk), .CLR(int_reset_n)
        , .E(CUARTlO1e), .Q(\CUARTOO1[0]_net_1 ));
    AOI1B \CUARTI10_RNO[2]  (.A(baud_clock_0), .B(CUARTI1012), .C(
        CUARTI10_e2_i_0), .Y(N_38));
    DFN1E1C0 \rx_byte[0]  (.D(\CUARTOO1[0]_net_1 ), .CLK(sys_clk), 
        .CLR(int_reset_n), .E(rx_byte_1_sqmuxa), .Q(uart_data[0]));
    NOR2B \CUARTO10_RNO_2[1]  (.A(\CUARTI10[2]_net_1 ), .B(CUARTI10_c0)
        , .Y(\CUARTO10_ns_0_0_o2_0[1] ));
    OR2 \CUARTO10_RNI9RP3[1]  (.A(\CUARTO10[1]_net_1 ), .B(
        \CUARTO10[0]_net_1 ), .Y(CUARTO10_139_d));
    DFN1E1C0 \CUARTlO1[3]  (.D(N_51), .CLK(sys_clk), .CLR(int_reset_n), 
        .E(CUARTlO1e), .Q(\CUARTlO1[3]_net_1 ));
    DFN1E1C0 CUARTOI1 (.D(tx_hold_reg6_i), .CLK(sys_clk), .CLR(
        int_reset_n), .E(N_11), .Q(rx_ready));
    DFN1E1C0 CUARTlI1 (.D(CUARTlI1_4), .CLK(sys_clk), .CLR(int_reset_n)
        , .E(baud_clock), .Q(CUARTlI1_net_1));
    NOR2B \CUARTOO1_RNO[2]  (.A(\CUARTOO1[3]_net_1 ), .B(
        CUARTO10_139_d), .Y(N_20));
    NOR2B \CUARTO10_RNO_1[1]  (.A(\CUARTI10[3]_net_1 ), .B(
        \CUARTI10[1]_net_1 ), .Y(\CUARTO10_ns_0_0_o2_1[1] ));
    NOR2B \CUARTOO1_RNO[4]  (.A(\CUARTOO1[5]_net_1 ), .B(
        CUARTO10_139_d), .Y(N_24));
    XA1 \CUARTlO1_RNO[1]  (.A(\CUARTlO1[0]_net_1 ), .B(
        \CUARTlO1[1]_net_1 ), .C(CUARTO10_139_d), .Y(N_47));
    AXOI4 \CUARTI10_RNO[0]  (.A(CUARTI1012), .B(baud_clock), .C(
        CUARTI10_c0), .Y(N_34));
    AX1 \CUARTI10_RNO_0[3]  (.A(N_62), .B(\CUARTI10[2]_net_1 ), .C(
        \CUARTI10[3]_net_1 ), .Y(N_83_i_i));
    VCC VCC_i (.Y(VCC));
    NOR3A \CUARTO10_RNO[0]  (.A(\CUARTlO1_RNI2NG7[1]_net_1 ), .B(N_96), 
        .C(\CUARTO10[1]_net_1 ), .Y(N_43));
    DFN1E1C0 \CUARTlO1[0]  (.D(CUARTlO1_n0), .CLK(sys_clk), .CLR(
        int_reset_n), .E(CUARTlO1e), .Q(\CUARTlO1[0]_net_1 ));
    DFN1E1C0 \rx_byte[4]  (.D(\CUARTOO1[4]_net_1 ), .CLK(sys_clk), 
        .CLR(int_reset_n), .E(rx_byte_1_sqmuxa), .Q(uart_data[4]));
    AO1A CUARTOI1_RNO (.A(\CUARTlO1_RNI2NG7[1]_net_1 ), .B(baud_clock), 
        .C(tx_hold_reg6), .Y(N_11));
    INV CUARTOI1_RNIJ6R3_0 (.A(tx_hold_reg6), .Y(tx_hold_reg6_i));
    OAI1 \CUARTO10_RNO[1]  (.A(\CUARTO10[1]_net_1 ), .B(
        \CUARTlO1_RNI2NG7[1]_net_1 ), .C(N_97), .Y(\CUARTO10_ns[1] ));
    NOR3C \CUARTlO1_RNISEI9[1]  (.A(rx_byte_1_sqmuxa_0_a3_m2_e_1), .B(
        rx_byte_1_sqmuxa_0_a3_m2_e_0), .C(rx_byte_1_sqmuxa_0_a3_m2_e_3)
        , .Y(rx_byte_1_sqmuxa));
    NOR2A CUARTlI1_RNO (.A(rx_ready), .B(\CUARTlO1_RNI2NG7[1]_net_1 ), 
        .Y(CUARTlI1_4));
    NOR2 \CUARTlO1_RNILLP2_0[1]  (.A(\CUARTlO1[1]_net_1 ), .B(
        \CUARTlO1[0]_net_1 ), .Y(N_205));
    NOR2A \CUARTO10_RNO_0[0]  (.A(N_81), .B(\CUARTO10[0]_net_1 ), .Y(
        N_96));
    NOR2B \CUARTlO1_RNO_0[3]  (.A(N_61), .B(\CUARTlO1[2]_net_1 ), .Y(
        N_70));
    NOR2B \CUARTOO1_RNO[6]  (.A(\CUARTOO1[7]_net_1 ), .B(
        CUARTO10_139_d), .Y(N_28));
    NOR2B CUARTOI1_RNIJ6R3 (.A(un1_read_rx_byte_1), .B(rx_ready), .Y(
        tx_hold_reg6));
    NOR2B overflow_RNO_0 (.A(baud_clock), .B(CUARTlI1_net_1), .Y(N_87));
    NOR3A overflow_RNI6VA2 (.A(tx_ready), .B(uart_overflow), .C(
        ff_enabled), .Y(un1_read_rx_byte_1));
    AOI1B \CUARTI10_RNO[1]  (.A(baud_clock_0), .B(CUARTI1012), .C(
        CUARTI10_e1_i_0), .Y(N_36));
    AOI1 \CUARTII1_RNILV1F[0]  (.A(N_81), .B(N_59), .C(CUARTO10_139_d), 
        .Y(CUARTI1012));
    DFN1E1C0 \CUARTII1[0]  (.D(\CUARTII1[1]_net_1 ), .CLK(sys_clk), 
        .CLR(int_reset_n), .E(baud_clock), .Q(\CUARTII1[0]_net_1 ));
    DFN1E1C0 \rx_byte[1]  (.D(\CUARTOO1[1]_net_1 ), .CLK(sys_clk), 
        .CLR(int_reset_n), .E(rx_byte_1_sqmuxa), .Q(uart_data[1]));
    DFN1E1C0 \CUARTOO1[3]  (.D(N_22), .CLK(sys_clk), .CLR(int_reset_n), 
        .E(CUARTlO1e), .Q(\CUARTOO1[3]_net_1 ));
    NOR2A \CUARTlO1_RNIGS93[2]  (.A(\CUARTO10[0]_net_1 ), .B(
        \CUARTlO1[2]_net_1 ), .Y(rx_byte_1_sqmuxa_0_a3_m2_e_1));
    DFN1E1C0 \rx_byte[6]  (.D(\CUARTOO1[6]_net_1 ), .CLK(sys_clk), 
        .CLR(int_reset_n), .E(rx_byte_1_sqmuxa), .Q(uart_data[6]));
    DFN1E1C0 overflow (.D(tx_hold_reg6_i), .CLK(sys_clk), .CLR(
        int_reset_n), .E(N_6), .Q(uart_overflow));
    NOR3B \CUARTlO1_RNID1N4[3]  (.A(\CUARTO10[0]_net_1 ), .B(
        \CUARTlO1[3]_net_1 ), .C(\CUARTlO1[2]_net_1 ), .Y(
        \CUARTO10_ns_0_iv_i_a2_1[0] ));
    DFN1E1C0 \CUARTlO1[1]  (.D(N_47), .CLK(sys_clk), .CLR(int_reset_n), 
        .E(CUARTlO1e), .Q(\CUARTlO1[1]_net_1 ));
    DFN1E1C0 \CUARTOO1[4]  (.D(N_24), .CLK(sys_clk), .CLR(int_reset_n), 
        .E(CUARTlO1e), .Q(\CUARTOO1[4]_net_1 ));
    DFN1E1C0 \CUARTOO1[2]  (.D(N_20), .CLK(sys_clk), .CLR(int_reset_n), 
        .E(CUARTlO1e), .Q(\CUARTOO1[2]_net_1 ));
    DFN1E1C0 \rx_byte[7]  (.D(\CUARTOO1[7]_net_1 ), .CLK(sys_clk), 
        .CLR(int_reset_n), .E(rx_byte_1_sqmuxa), .Q(uart_data[7]));
    NOR3A \CUARTlO1_RNI26B3[1]  (.A(baud_clock_0), .B(
        \CUARTlO1[0]_net_1 ), .C(\CUARTlO1[1]_net_1 ), .Y(
        rx_byte_1_sqmuxa_0_a3_m2_e_3));
    XNOR2 \CUARTI10_RNO_0[2]  (.A(\CUARTI10[2]_net_1 ), .B(N_62), .Y(
        CUARTI10_e2_i_0));
    OR2B \CUARTI10_RNIUVC6[2]  (.A(\CUARTO10_ns_0_iv_i_o2_1[0] ), .B(
        \CUARTO10_ns_0_iv_i_o2_0[0] ), .Y(N_81));
    DFN1E1C0 \rx_byte[3]  (.D(\CUARTOO1[3]_net_1 ), .CLK(sys_clk), 
        .CLR(int_reset_n), .E(rx_byte_1_sqmuxa), .Q(uart_data[3]));
    GND GND_i (.Y(GND));
    OR3C \CUARTI10_RNIAON3[1]  (.A(\CUARTI10[1]_net_1 ), .B(
        CUARTI10_c0), .C(baud_clock_0), .Y(N_62));
    DFN1E1C0 \rx_byte[2]  (.D(\CUARTOO1[2]_net_1 ), .CLK(sys_clk), 
        .CLR(int_reset_n), .E(rx_byte_1_sqmuxa), .Q(uart_data[2]));
    DFN1E1C0 \CUARTOO1[5]  (.D(N_26), .CLK(sys_clk), .CLR(int_reset_n), 
        .E(CUARTlO1e), .Q(\CUARTOO1[5]_net_1 ));
    DFN1C0 \CUARTI10[0]  (.D(N_34), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(CUARTI10_c0));
    NOR2B \CUARTOO1_RNO[0]  (.A(\CUARTOO1[1]_net_1 ), .B(
        CUARTO10_139_d), .Y(N_198));
    NOR2B \CUARTI10_RNIT763[1]  (.A(CUARTI10_c0), .B(
        \CUARTI10[1]_net_1 ), .Y(CUARTI10_e1_i_o2_0));
    NOR2A \CUARTlO1_RNIACT2[3]  (.A(\CUARTlO1[3]_net_1 ), .B(rx_ready), 
        .Y(rx_byte_1_sqmuxa_0_a3_m2_e_0));
    AOI1B \CUARTI10_RNIKBOA[3]  (.A(\CUARTI10_RNIUVC6[3]_net_1 ), .B(
        CUARTO10_139_d), .C(baud_clock_0), .Y(CUARTlO1e));
    NOR2B \CUARTOO1_RNO[5]  (.A(\CUARTOO1[6]_net_1 ), .B(
        CUARTO10_139_d), .Y(N_26));
    DFN1E1C0 \CUARTII1[1]  (.D(\CUARTII1[2]_net_1 ), .CLK(sys_clk), 
        .CLR(int_reset_n), .E(baud_clock), .Q(\CUARTII1[1]_net_1 ));
    DFN1E1C0 \rx_byte[5]  (.D(\CUARTOO1[5]_net_1 ), .CLK(sys_clk), 
        .CLR(int_reset_n), .E(rx_byte_1_sqmuxa), .Q(uart_data[5]));
    NOR2 \CUARTI10_RNIUB63[2]  (.A(\CUARTI10[2]_net_1 ), .B(
        CUARTI10_c0), .Y(\CUARTO10_ns_0_iv_i_o2_1[0] ));
    DFN1E1C0 \CUARTII1[2]  (.D(AGL_rxd_c), .CLK(sys_clk), .CLR(
        int_reset_n), .E(baud_clock), .Q(\CUARTII1[2]_net_1 ));
    NOR2A \CUARTI10_RNI0K63[3]  (.A(\CUARTI10[3]_net_1 ), .B(
        \CUARTI10[1]_net_1 ), .Y(\CUARTO10_ns_0_iv_i_o2_0[0] ));
    OR2B \CUARTlO1_RNI2NG7[1]  (.A(\CUARTO10_ns_0_iv_i_a2_1[0] ), .B(
        N_205), .Y(\CUARTlO1_RNI2NG7[1]_net_1 ));
    DFN1E1C0 \CUARTOO1[7]  (.D(N_30), .CLK(sys_clk), .CLR(int_reset_n), 
        .E(CUARTlO1e), .Q(\CUARTOO1[7]_net_1 ));
    XA1 \CUARTlO1_RNO[2]  (.A(\CUARTlO1[2]_net_1 ), .B(N_61), .C(
        CUARTO10_139_d), .Y(N_49));
    DFN1C0 \CUARTI10[3]  (.D(N_40), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\CUARTI10[3]_net_1 ));
    DFN1E1C0 \CUARTO10[0]  (.D(N_43), .CLK(sys_clk), .CLR(int_reset_n), 
        .E(baud_clock), .Q(\CUARTO10[0]_net_1 ));
    NOR2A \CUARTlO1_RNO[0]  (.A(CUARTO10_139_d), .B(
        \CUARTlO1[0]_net_1 ), .Y(CUARTlO1_n0));
    DFN1C0 \CUARTI10[2]  (.D(N_38), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\CUARTI10[2]_net_1 ));
    MIN3 \CUARTII1_RNIE4R4[0]  (.A(\CUARTII1[1]_net_1 ), .B(
        \CUARTII1[2]_net_1 ), .C(\CUARTII1[0]_net_1 ), .Y(N_59));
    NOR2B \CUARTOO1_RNO[1]  (.A(\CUARTOO1[2]_net_1 ), .B(
        CUARTO10_139_d), .Y(N_18));
    AO1B \CUARTO10_RNO_0[1]  (.A(\CUARTO10_ns_0_0_o2_1[1] ), .B(
        \CUARTO10_ns_0_0_o2_0[1] ), .C(\CUARTO10_ns_0_0_a3_0[1] ), .Y(
        N_97));
    DFN1E1C0 \CUARTOO1[6]  (.D(N_28), .CLK(sys_clk), .CLR(int_reset_n), 
        .E(CUARTlO1e), .Q(\CUARTOO1[6]_net_1 ));
    NOR2B \CUARTlO1_RNILLP2[1]  (.A(\CUARTlO1[1]_net_1 ), .B(
        \CUARTlO1[0]_net_1 ), .Y(N_61));
    AOI1B \CUARTI10_RNO[3]  (.A(baud_clock), .B(CUARTI1012), .C(
        N_83_i_i), .Y(N_40));
    OR2 overflow_RNO (.A(N_87), .B(tx_hold_reg6), .Y(N_6));
    OR3C \CUARTI10_RNIUVC6[3]  (.A(\CUARTI10[3]_net_1 ), .B(
        \CUARTI10[2]_net_1 ), .C(CUARTI10_e1_i_o2_0), .Y(
        \CUARTI10_RNIUVC6[3]_net_1 ));
    DFN1C0 \CUARTI10[1]  (.D(N_36), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\CUARTI10[1]_net_1 ));
    AX1C \CUARTI10_RNO_0[1]  (.A(CUARTI10_c0), .B(baud_clock_0), .C(
        \CUARTI10[1]_net_1 ), .Y(CUARTI10_e1_i_0));
    DFN1E1C0 \CUARTO10[1]  (.D(\CUARTO10_ns[1] ), .CLK(sys_clk), .CLR(
        int_reset_n), .E(baud_clock), .Q(\CUARTO10[1]_net_1 ));
    DFN1E1C0 \CUARTlO1[2]  (.D(N_49), .CLK(sys_clk), .CLR(int_reset_n), 
        .E(CUARTlO1e), .Q(\CUARTlO1[2]_net_1 ));
    NOR2A \CUARTO10_RNO_3[1]  (.A(\CUARTO10[1]_net_1 ), .B(
        \CUARTO10[0]_net_1 ), .Y(\CUARTO10_ns_0_0_a3_0[1] ));
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    
endmodule


module Clock_gen(
       baud_clock,
       int_reset_n,
       sys_clk,
       CUARTOl,
       baud_clock_0,
       N_4
    );
output baud_clock;
input  int_reset_n;
input  sys_clk;
output CUARTOl;
output baud_clock_0;
output N_4;

    wire N_15_i_i_0, \CUARTIl[2]_net_1 , N_40_0, \CUARTIl[3]_net_1 , 
        N_14_i_i_0, \CUARTIl[1]_net_1 , \CUARTIl[0]_net_1 , CUARTOl8, 
        CUARTII_15_0_0, \CUARTII[6]_net_1 , CUARTII_c5_0, 
        CUARTII10_2_0, CUARTII10_1_0, \CUARTII[4]_net_1 , 
        \CUARTII[7]_net_1 , \CUARTII[5]_net_1 , CUARTII10, 
        CUARTII_c3_0, CUARTII_n2_i, CUARTII_n2_tz_i_0, 
        \CUARTII[0]_net_1 , \CUARTII[1]_net_1 , \CUARTII[2]_net_1 , 
        CUARTII_n7, CUARTII_n6, CUARTII_n5, CUARTII_c4_0, CUARTII_n4, 
        CUARTII_n3, CUARTII_c2_0, \CUARTII[3]_net_1 , CUARTII_n1, N_20, 
        N_13_i_0, N_12_i_0, GND, VCC, GND_net_1, VCC_net_1;
    
    DFN1C0 \CUARTII[0]  (.D(N_20), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\CUARTII[0]_net_1 ));
    NOR3A \CUARTII_RNIAOQ5[7]  (.A(CUARTII10_1_0), .B(
        \CUARTII[4]_net_1 ), .C(\CUARTII[7]_net_1 ), .Y(CUARTII10_2_0));
    DFN1C0 CUARTlI_0 (.D(CUARTII10), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(baud_clock_0));
    AX1B \CUARTII_RNO[4]  (.A(CUARTII10_2_0), .B(CUARTII_c3_0), .C(
        \CUARTII[4]_net_1 ), .Y(CUARTII_n4));
    OR2 \CUARTII_RNIQNQ5[3]  (.A(CUARTII_c2_0), .B(\CUARTII[3]_net_1 ), 
        .Y(CUARTII_c3_0));
    NOR2A \CUARTII_RNI4GLB[3]  (.A(CUARTII10_2_0), .B(CUARTII_c3_0), 
        .Y(CUARTII10));
    DFN1E1C0 \CUARTIl[1]  (.D(N_12_i_0), .CLK(sys_clk), .CLR(
        int_reset_n), .E(baud_clock), .Q(\CUARTIl[1]_net_1 ));
    XOR2 \CUARTIl_RNO[0]  (.A(baud_clock), .B(\CUARTIl[0]_net_1 ), .Y(
        N_13_i_0));
    VCC VCC_i (.Y(VCC));
    DFN1C0 \CUARTII[5]  (.D(CUARTII_n5), .CLK(sys_clk), .CLR(
        int_reset_n), .Q(\CUARTII[5]_net_1 ));
    DFN1E1C0 \CUARTIl[3]  (.D(N_15_i_i_0), .CLK(sys_clk), .CLR(
        int_reset_n), .E(baud_clock), .Q(\CUARTIl[3]_net_1 ));
    OR2 \CUARTII_RNO_0[7]  (.A(\CUARTII[6]_net_1 ), .B(CUARTII_c5_0), 
        .Y(CUARTII_15_0_0));
    NOR2 \CUARTII_RNI164D[0]  (.A(CUARTII10), .B(\CUARTII[0]_net_1 ), 
        .Y(N_20));
    OR2B CUARTOl_RNITSL1 (.A(baud_clock_0), .B(CUARTOl), .Y(N_4));
    DFN1C0 CUARTlI (.D(CUARTII10), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(baud_clock));
    DFN1C0 \CUARTIl[0]  (.D(N_13_i_0), .CLK(sys_clk), .CLR(int_reset_n)
        , .Q(\CUARTIl[0]_net_1 ));
    DFN1C0 \CUARTII[1]  (.D(CUARTII_n1), .CLK(sys_clk), .CLR(
        int_reset_n), .Q(\CUARTII[1]_net_1 ));
    GND GND_i (.Y(GND));
    DFN1E1C0 CUARTOl_inst_1 (.D(CUARTOl8), .CLK(sys_clk), .CLR(
        int_reset_n), .E(baud_clock), .Q(CUARTOl));
    DFN1C0 \CUARTII[4]  (.D(CUARTII_n4), .CLK(sys_clk), .CLR(
        int_reset_n), .Q(\CUARTII[4]_net_1 ));
    NOR2B \CUARTIl_RNI1ET2[1]  (.A(\CUARTIl[1]_net_1 ), .B(
        \CUARTIl[0]_net_1 ), .Y(N_40_0));
    AX1B \CUARTII_RNO[5]  (.A(CUARTII_c4_0), .B(CUARTII10), .C(
        \CUARTII[5]_net_1 ), .Y(CUARTII_n5));
    NOR3C CUARTOl_RNO (.A(\CUARTIl[2]_net_1 ), .B(N_40_0), .C(
        \CUARTIl[3]_net_1 ), .Y(CUARTOl8));
    OR3 \CUARTII_RNIQ1C4[2]  (.A(\CUARTII[0]_net_1 ), .B(
        \CUARTII[1]_net_1 ), .C(\CUARTII[2]_net_1 ), .Y(CUARTII_c2_0));
    XOR2 \CUARTIl_RNO[1]  (.A(\CUARTIl[1]_net_1 ), .B(
        \CUARTIl[0]_net_1 ), .Y(N_12_i_0));
    AX1B \CUARTII_RNO[6]  (.A(CUARTII_c5_0), .B(CUARTII10), .C(
        \CUARTII[6]_net_1 ), .Y(CUARTII_n6));
    NOR2 \CUARTII_RNI5CT2[5]  (.A(\CUARTII[5]_net_1 ), .B(
        \CUARTII[6]_net_1 ), .Y(CUARTII10_1_0));
    AX1B \CUARTII_RNO_0[2]  (.A(\CUARTII[0]_net_1 ), .B(
        \CUARTII[1]_net_1 ), .C(\CUARTII[2]_net_1 ), .Y(
        CUARTII_n2_tz_i_0));
    DFN1C0 \CUARTII[6]  (.D(CUARTII_n6), .CLK(sys_clk), .CLR(
        int_reset_n), .Q(\CUARTII[6]_net_1 ));
    XOR2 \CUARTIl_RNO[2]  (.A(N_40_0), .B(\CUARTIl[2]_net_1 ), .Y(
        N_14_i_i_0));
    AXOI3 \CUARTII_RNO[3]  (.A(CUARTII10_2_0), .B(CUARTII_c2_0), .C(
        \CUARTII[3]_net_1 ), .Y(CUARTII_n3));
    OR2 \CUARTII_RNO[2]  (.A(CUARTII10), .B(CUARTII_n2_tz_i_0), .Y(
        CUARTII_n2_i));
    AX1B \CUARTII_RNO[7]  (.A(CUARTII10), .B(CUARTII_15_0_0), .C(
        \CUARTII[7]_net_1 ), .Y(CUARTII_n7));
    XOR2 \CUARTII_RNO[1]  (.A(N_20), .B(\CUARTII[1]_net_1 ), .Y(
        CUARTII_n1));
    DFN1E1C0 \CUARTIl[2]  (.D(N_14_i_i_0), .CLK(sys_clk), .CLR(
        int_reset_n), .E(baud_clock), .Q(\CUARTIl[2]_net_1 ));
    DFN1C0 \CUARTII[3]  (.D(CUARTII_n3), .CLK(sys_clk), .CLR(
        int_reset_n), .Q(\CUARTII[3]_net_1 ));
    AX1C \CUARTIl_RNO[3]  (.A(\CUARTIl[2]_net_1 ), .B(N_40_0), .C(
        \CUARTIl[3]_net_1 ), .Y(N_15_i_i_0));
    OR2 \CUARTII_RNIT3O8[5]  (.A(CUARTII_c4_0), .B(\CUARTII[5]_net_1 ), 
        .Y(CUARTII_c5_0));
    DFN1C0 \CUARTII[2]  (.D(CUARTII_n2_i), .CLK(sys_clk), .CLR(
        int_reset_n), .Q(\CUARTII[2]_net_1 ));
    OR2 \CUARTII_RNIRD97[4]  (.A(CUARTII_c3_0), .B(\CUARTII[4]_net_1 ), 
        .Y(CUARTII_c4_0));
    DFN1C0 \CUARTII[7]  (.D(CUARTII_n7), .CLK(sys_clk), .CLR(
        int_reset_n), .Q(\CUARTII[7]_net_1 ));
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    
endmodule


module Tx_async_0s_0s_1s_2s_3s_4s_5s_6s(
       tx_hold_reg,
       tx_hold_reg6_i,
       int_reset_n,
       sys_clk,
       AGL_txd_c,
       tx_ready,
       tx_hold_reg6,
       baud_clock_0,
       N_4,
       CUARTOl
    );
input  [7:0] tx_hold_reg;
input  tx_hold_reg6_i;
input  int_reset_n;
input  sys_clk;
output AGL_txd_c;
output tx_ready;
input  tx_hold_reg6;
input  baud_clock_0;
input  N_4;
input  CUARTOl;

    wire CUARTOOII_e1_i_22_b0_0_o2_0_0, CUARTOOII_c0, 
        CUARTOOII_e2_i_o3_m1_0_a2_0_0, \CUARTOOII[1]_net_1 , 
        \CUARTOOII[2]_net_1 , CUARTOOII_e2_i_a3_m2_i_a3_1_0, N_20, 
        CUARTOOII_e2_i_a3_N_4_0, CUARTOOII_e2_i_o3_N_2_i_0_0, N_152_0, 
        N_16, CUARTOOII_e1_i_22_N_7_0, N_18, \CUARTO1OI[3]_net_1 , 
        N_157_0, \CUARTO1OI[2]_net_1 , N_77_0, \CUARTO1OI[5]_net_1 , 
        N_94_0, \CUARTOOII[3]_net_1 , N_28, \CUARTO1OI_RNO[3]_net_1 , 
        \CUARTO1OI_RNO[2]_net_1 , \CUARTO1OI[1]_net_1 , 
        \CUARTO1OI_ns_e[5] , tx_4_0_a0_1, N_38, tx_4_0_a0_0, 
        tx_4_0_a1_1, N_26_i, tx_4_0_a1_0, tx_4, tx_RNO_0_net_1, 
        tx_RNO_1_net_1, tx_RNO_2_net_1, N_42, N_36, N_56, 
        CUARTI1OI_RNO_net_1, N_73, N_76, \CUARTO1OI_ns_e[1] , N_149, 
        \CUARTO1OI[0]_net_1 , \CUARTO1OI_ns_e[0] , 
        \CUARTl1OI[0]_net_1 , \CUARTl1OI[4]_net_1 , 
        \CUARTl1OI[3]_net_1 , \CUARTl1OI[7]_net_1 , 
        \CUARTl1OI[1]_net_1 , \CUARTl1OI[5]_net_1 , 
        \CUARTl1OI[2]_net_1 , \CUARTl1OI[6]_net_1 , GND, VCC, 
        GND_net_1, VCC_net_1;
    
    DFN1C0 \CUARTOOII[1]  (.D(N_18), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\CUARTOOII[1]_net_1 ));
    AO1C \CUARTO1OI_RNO[5]  (.A(N_94_0), .B(\CUARTO1OI[3]_net_1 ), .C(
        N_77_0), .Y(\CUARTO1OI_ns_e[5] ));
    DFN1C0 \CUARTO1OI[2]  (.D(\CUARTO1OI_RNO[2]_net_1 ), .CLK(sys_clk), 
        .CLR(int_reset_n), .Q(\CUARTO1OI[2]_net_1 ));
    AO1B \CUARTO1OI_RNO[0]  (.A(N_149), .B(\CUARTO1OI[0]_net_1 ), .C(
        N_76), .Y(\CUARTO1OI_ns_e[0] ));
    AO1 \CUARTOOII_RNO_0[2]  (.A(CUARTOOII_e2_i_a3_m2_i_a3_1_0), .B(
        baud_clock_0), .C(\CUARTOOII[2]_net_1 ), .Y(
        CUARTOOII_e2_i_a3_N_4_0));
    XA1A \CUARTOOII_RNO[1]  (.A(\CUARTOOII[1]_net_1 ), .B(
        CUARTOOII_e1_i_22_N_7_0), .C(N_152_0), .Y(N_18));
    NOR3C \CUARTO1OI_RNID633[1]  (.A(CUARTOl), .B(\CUARTO1OI[1]_net_1 )
        , .C(baud_clock_0), .Y(N_56));
    NOR2A tx_RNO_8 (.A(\CUARTO1OI[3]_net_1 ), .B(CUARTOOII_c0), .Y(
        tx_4_0_a0_0));
    DFN1C0 \CUARTOOII[3]  (.D(N_28), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\CUARTOOII[3]_net_1 ));
    OR3C \CUARTOOII_RNI5NK5[2]  (.A(CUARTOOII_e1_i_22_b0_0_o2_0_0), .B(
        CUARTOOII_e2_i_o3_m1_0_a2_0_0), .C(baud_clock_0), .Y(
        CUARTOOII_e2_i_o3_N_2_i_0_0));
    DFN1C0 \CUARTOOII[2]  (.D(N_20), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\CUARTOOII[2]_net_1 ));
    VCC VCC_i (.Y(VCC));
    OR3B CUARTI1OI_RNISOR1 (.A(CUARTOl), .B(baud_clock_0), .C(tx_ready)
        , .Y(N_149));
    AO1C tx_RNO_0 (.A(\CUARTOOII[1]_net_1 ), .B(N_36), .C(tx_4_0_a0_1), 
        .Y(tx_RNO_0_net_1));
    MX2C tx_RNO_7 (.A(\CUARTl1OI[2]_net_1 ), .B(\CUARTl1OI[6]_net_1 ), 
        .S(\CUARTOOII[2]_net_1 ), .Y(N_38));
    NOR3C \CUARTOOII_RNO[2]  (.A(CUARTOOII_e2_i_a3_N_4_0), .B(
        CUARTOOII_e2_i_o3_N_2_i_0_0), .C(N_152_0), .Y(N_20));
    OR3C tx_RNO (.A(tx_RNO_0_net_1), .B(tx_RNO_1_net_1), .C(
        tx_RNO_2_net_1), .Y(tx_4));
    NOR2 CUARTI1OI_RNO (.A(tx_hold_reg6), .B(N_56), .Y(
        CUARTI1OI_RNO_net_1));
    MX2C tx_RNO_5 (.A(\CUARTl1OI[1]_net_1 ), .B(\CUARTl1OI[5]_net_1 ), 
        .S(\CUARTOOII[2]_net_1 ), .Y(N_42));
    AO1C tx_RNO_2 (.A(\CUARTOOII[1]_net_1 ), .B(N_42), .C(tx_4_0_a1_1), 
        .Y(tx_RNO_2_net_1));
    AOI1B tx_RNO_6 (.A(N_26_i), .B(\CUARTOOII[1]_net_1 ), .C(
        tx_4_0_a1_0), .Y(tx_4_0_a1_1));
    DFN1E0P0 tx (.D(tx_4), .CLK(sys_clk), .PRE(int_reset_n), .E(N_4), 
        .Q(AGL_txd_c));
    DFN1E1C0 \CUARTl1OI[5]  (.D(tx_hold_reg[5]), .CLK(sys_clk), .CLR(
        int_reset_n), .E(N_56), .Q(\CUARTl1OI[5]_net_1 ));
    GND GND_i (.Y(GND));
    OR3C \CUARTO1OI_RNO_0[0]  (.A(CUARTOl), .B(baud_clock_0), .C(
        \CUARTO1OI[5]_net_1 ), .Y(N_76));
    DFN1C0 \CUARTOOII[0]  (.D(N_16), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(CUARTOOII_c0));
    OR3B \CUARTO1OI_RNIF633[3]  (.A(CUARTOl), .B(baud_clock_0), .C(
        \CUARTO1OI[3]_net_1 ), .Y(N_152_0));
    DFN1C0 \CUARTO1OI[5]  (.D(\CUARTO1OI_ns_e[5] ), .CLK(sys_clk), 
        .CLR(int_reset_n), .Q(\CUARTO1OI[5]_net_1 ));
    DFN1E1C0 \CUARTl1OI[6]  (.D(tx_hold_reg[6]), .CLK(sys_clk), .CLR(
        int_reset_n), .E(N_56), .Q(\CUARTl1OI[6]_net_1 ));
    XA1A \CUARTOOII_RNO[0]  (.A(CUARTOOII_c0), .B(N_4), .C(N_152_0), 
        .Y(N_16));
    OA1C \CUARTO1OI_RNO_0[3]  (.A(\CUARTO1OI[2]_net_1 ), .B(N_4), .C(
        \CUARTO1OI[3]_net_1 ), .Y(N_157_0));
    NOR2B tx_RNO_10 (.A(\CUARTO1OI[3]_net_1 ), .B(CUARTOOII_c0), .Y(
        tx_4_0_a1_0));
    DFN1E0P0 CUARTI1OI (.D(tx_hold_reg6_i), .CLK(sys_clk), .PRE(
        int_reset_n), .E(CUARTI1OI_RNO_net_1), .Q(tx_ready));
    XA1A \CUARTOOII_RNO[3]  (.A(\CUARTOOII[3]_net_1 ), .B(
        CUARTOOII_e2_i_o3_N_2_i_0_0), .C(N_152_0), .Y(N_28));
    OR2 \CUARTOOII_RNIVVU6[3]  (.A(\CUARTOOII[3]_net_1 ), .B(
        CUARTOOII_e2_i_o3_N_2_i_0_0), .Y(N_94_0));
    DFN1E1C0 \CUARTl1OI[3]  (.D(tx_hold_reg[3]), .CLK(sys_clk), .CLR(
        int_reset_n), .E(N_56), .Q(\CUARTl1OI[3]_net_1 ));
    DFN1E1C0 \CUARTl1OI[1]  (.D(tx_hold_reg[1]), .CLK(sys_clk), .CLR(
        int_reset_n), .E(N_56), .Q(\CUARTl1OI[1]_net_1 ));
    NOR2B \CUARTOOII_RNIHHK2[2]  (.A(\CUARTOOII[1]_net_1 ), .B(
        \CUARTOOII[2]_net_1 ), .Y(CUARTOOII_e2_i_o3_m1_0_a2_0_0));
    MX2 \CUARTO1OI_RNO[2]  (.A(\CUARTO1OI[1]_net_1 ), .B(
        \CUARTO1OI[2]_net_1 ), .S(N_4), .Y(\CUARTO1OI_RNO[2]_net_1 ));
    DFN1E1C0 \CUARTl1OI[4]  (.D(tx_hold_reg[4]), .CLK(sys_clk), .CLR(
        int_reset_n), .E(N_56), .Q(\CUARTl1OI[4]_net_1 ));
    MX2C tx_RNO_9 (.A(\CUARTl1OI[3]_net_1 ), .B(\CUARTl1OI[7]_net_1 ), 
        .S(\CUARTOOII[2]_net_1 ), .Y(N_26_i));
    MX2C tx_RNO_3 (.A(\CUARTl1OI[0]_net_1 ), .B(\CUARTl1OI[4]_net_1 ), 
        .S(\CUARTOOII[2]_net_1 ), .Y(N_36));
    OR2B \CUARTOOII_RNO_0[1]  (.A(CUARTOOII_e1_i_22_b0_0_o2_0_0), .B(
        baud_clock_0), .Y(CUARTOOII_e1_i_22_N_7_0));
    DFN1E1C0 \CUARTl1OI[0]  (.D(tx_hold_reg[0]), .CLK(sys_clk), .CLR(
        int_reset_n), .E(N_56), .Q(\CUARTl1OI[0]_net_1 ));
    AOI1B tx_RNO_4 (.A(N_38), .B(\CUARTOOII[1]_net_1 ), .C(tx_4_0_a0_0)
        , .Y(tx_4_0_a0_1));
    NOR2B \CUARTOOII_RNI7LE2[0]  (.A(CUARTOOII_c0), .B(CUARTOl), .Y(
        CUARTOOII_e1_i_22_b0_0_o2_0_0));
    AO1B \CUARTO1OI_RNO_0[5]  (.A(baud_clock_0), .B(CUARTOl), .C(
        \CUARTO1OI[5]_net_1 ), .Y(N_77_0));
    AO1C \CUARTO1OI_RNO[1]  (.A(N_149), .B(\CUARTO1OI[0]_net_1 ), .C(
        N_73), .Y(\CUARTO1OI_ns_e[1] ));
    DFN1E1C0 \CUARTl1OI[2]  (.D(tx_hold_reg[2]), .CLK(sys_clk), .CLR(
        int_reset_n), .E(N_56), .Q(\CUARTl1OI[2]_net_1 ));
    NOR3C \CUARTOOII_RNO_1[2]  (.A(CUARTOOII_c0), .B(
        \CUARTOOII[1]_net_1 ), .C(CUARTOl), .Y(
        CUARTOOII_e2_i_a3_m2_i_a3_1_0));
    OR2 tx_RNO_1 (.A(\CUARTO1OI[3]_net_1 ), .B(\CUARTO1OI[2]_net_1 ), 
        .Y(tx_RNO_1_net_1));
    AO1B \CUARTO1OI_RNO_0[1]  (.A(baud_clock_0), .B(CUARTOl), .C(
        \CUARTO1OI[1]_net_1 ), .Y(N_73));
    DFN1C0 \CUARTO1OI[3]  (.D(\CUARTO1OI_RNO[3]_net_1 ), .CLK(sys_clk), 
        .CLR(int_reset_n), .Q(\CUARTO1OI[3]_net_1 ));
    DFN1C0 \CUARTO1OI[1]  (.D(\CUARTO1OI_ns_e[1] ), .CLK(sys_clk), 
        .CLR(int_reset_n), .Q(\CUARTO1OI[1]_net_1 ));
    OA1B \CUARTO1OI_RNO[3]  (.A(\CUARTO1OI[2]_net_1 ), .B(N_94_0), .C(
        N_157_0), .Y(\CUARTO1OI_RNO[3]_net_1 ));
    DFN1P0 \CUARTO1OI[0]  (.D(\CUARTO1OI_ns_e[0] ), .CLK(sys_clk), 
        .PRE(int_reset_n), .Q(\CUARTO1OI[0]_net_1 ));
    DFN1E1C0 \CUARTl1OI[7]  (.D(tx_hold_reg[7]), .CLK(sys_clk), .CLR(
        int_reset_n), .E(N_56), .Q(\CUARTl1OI[7]_net_1 ));
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    
endmodule


module COREUART_0s_0s_20s(
       ff_enabled,
       AGL_rxd_c,
       AGL_txd_c,
       int_reset_n,
       sys_clk
    );
input  ff_enabled;
input  AGL_rxd_c;
output AGL_txd_c;
input  int_reset_n;
input  sys_clk;

    wire \tx_hold_reg[0]_net_1 , \uart_data[0] , tx_hold_reg6, 
        \tx_hold_reg[1]_net_1 , \uart_data[1] , \tx_hold_reg[2]_net_1 , 
        \uart_data[2] , \tx_hold_reg[3]_net_1 , \uart_data[3] , 
        \tx_hold_reg[4]_net_1 , \uart_data[4] , \tx_hold_reg[5]_net_1 , 
        \uart_data[5] , \tx_hold_reg[6]_net_1 , \uart_data[6] , 
        \tx_hold_reg[7]_net_1 , \uart_data[7] , baud_clock, CUARTOl, 
        baud_clock_0, N_4, tx_hold_reg6_i, tx_ready, GND, VCC, 
        GND_net_1, VCC_net_1;
    
    DFN1E1C0 \tx_hold_reg[7]  (.D(\uart_data[7] ), .CLK(sys_clk), .CLR(
        int_reset_n), .E(tx_hold_reg6), .Q(\tx_hold_reg[7]_net_1 ));
    DFN1E1C0 \tx_hold_reg[3]  (.D(\uart_data[3] ), .CLK(sys_clk), .CLR(
        int_reset_n), .E(tx_hold_reg6), .Q(\tx_hold_reg[3]_net_1 ));
    Rx_async_0s_0s_1s_2s CUARTll0I (.uart_data({\uart_data[7] , 
        \uart_data[6] , \uart_data[5] , \uart_data[4] , \uart_data[3] , 
        \uart_data[2] , \uart_data[1] , \uart_data[0] }), .AGL_rxd_c(
        AGL_rxd_c), .int_reset_n(int_reset_n), .sys_clk(sys_clk), 
        .baud_clock(baud_clock), .ff_enabled(ff_enabled), .tx_ready(
        tx_ready), .baud_clock_0(baud_clock_0), .tx_hold_reg6(
        tx_hold_reg6), .tx_hold_reg6_i(tx_hold_reg6_i));
    DFN1E1C0 \tx_hold_reg[1]  (.D(\uart_data[1] ), .CLK(sys_clk), .CLR(
        int_reset_n), .E(tx_hold_reg6), .Q(\tx_hold_reg[1]_net_1 ));
    VCC VCC_i_0 (.Y(VCC_net_1));
    VCC VCC_i (.Y(VCC));
    Clock_gen CUARTOl0I (.baud_clock(baud_clock), .int_reset_n(
        int_reset_n), .sys_clk(sys_clk), .CUARTOl(CUARTOl), 
        .baud_clock_0(baud_clock_0), .N_4(N_4));
    DFN1E1C0 \tx_hold_reg[0]  (.D(\uart_data[0] ), .CLK(sys_clk), .CLR(
        int_reset_n), .E(tx_hold_reg6), .Q(\tx_hold_reg[0]_net_1 ));
    Tx_async_0s_0s_1s_2s_3s_4s_5s_6s CUARTIl0I (.tx_hold_reg({
        \tx_hold_reg[7]_net_1 , \tx_hold_reg[6]_net_1 , 
        \tx_hold_reg[5]_net_1 , \tx_hold_reg[4]_net_1 , 
        \tx_hold_reg[3]_net_1 , \tx_hold_reg[2]_net_1 , 
        \tx_hold_reg[1]_net_1 , \tx_hold_reg[0]_net_1 }), 
        .tx_hold_reg6_i(tx_hold_reg6_i), .int_reset_n(int_reset_n), 
        .sys_clk(sys_clk), .AGL_txd_c(AGL_txd_c), .tx_ready(tx_ready), 
        .tx_hold_reg6(tx_hold_reg6), .baud_clock_0(baud_clock_0), .N_4(
        N_4), .CUARTOl(CUARTOl));
    GND GND_i_0 (.Y(GND_net_1));
    GND GND_i (.Y(GND));
    DFN1E1C0 \tx_hold_reg[6]  (.D(\uart_data[6] ), .CLK(sys_clk), .CLR(
        int_reset_n), .E(tx_hold_reg6), .Q(\tx_hold_reg[6]_net_1 ));
    DFN1E1C0 \tx_hold_reg[5]  (.D(\uart_data[5] ), .CLK(sys_clk), .CLR(
        int_reset_n), .E(tx_hold_reg6), .Q(\tx_hold_reg[5]_net_1 ));
    DFN1E1C0 \tx_hold_reg[2]  (.D(\uart_data[2] ), .CLK(sys_clk), .CLR(
        int_reset_n), .E(tx_hold_reg6), .Q(\tx_hold_reg[2]_net_1 ));
    DFN1E1C0 \tx_hold_reg[4]  (.D(\uart_data[4] ), .CLK(sys_clk), .CLR(
        int_reset_n), .E(tx_hold_reg6), .Q(\tx_hold_reg[4]_net_1 ));
    
endmodule


module agl_nano_uart(
       sys_clk,
       int_reset_n,
       AGL_txd_c,
       AGL_rxd_c,
       ff_enabled
    );
input  sys_clk;
input  int_reset_n;
output AGL_txd_c;
input  AGL_rxd_c;
input  ff_enabled;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    GND GND_i (.Y(GND));
    COREUART_0s_0s_20s agl_nano_uart_0 (.ff_enabled(ff_enabled), 
        .AGL_rxd_c(AGL_rxd_c), .AGL_txd_c(AGL_txd_c), .int_reset_n(
        int_reset_n), .sys_clk(sys_clk));
    
endmodule


module pll_750khz(
       int_reset_n,
       pll_750khz_VCC,
       pll_750khz_GND,
       AGL_clk_c,
       sys_clk
    );
input  int_reset_n;
input  pll_750khz_VCC;
input  pll_750khz_GND;
input  AGL_clk_c;
output sys_clk;

    wire CLKAP, Core_GLB, Core_GLC, pll_lock, Core_YB, Core_YC, GND, 
        VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    PLL #( .VCOFREQUENCY(24.000000) )  Core (.CLKA(CLKAP), .EXTFB(
        pll_750khz_GND), .POWERDOWN(int_reset_n), .GLA(sys_clk), .LOCK(
        pll_lock), .GLB(Core_GLB), .YB(Core_YB), .GLC(Core_GLC), .YC(
        Core_YC), .OADIV0(pll_750khz_VCC), .OADIV1(pll_750khz_VCC), 
        .OADIV2(pll_750khz_VCC), .OADIV3(pll_750khz_VCC), .OADIV4(
        pll_750khz_VCC), .OAMUX0(pll_750khz_GND), .OAMUX1(
        pll_750khz_GND), .OAMUX2(pll_750khz_VCC), .DLYGLA0(
        pll_750khz_GND), .DLYGLA1(pll_750khz_GND), .DLYGLA2(
        pll_750khz_GND), .DLYGLA3(pll_750khz_GND), .DLYGLA4(
        pll_750khz_GND), .OBDIV0(pll_750khz_GND), .OBDIV1(
        pll_750khz_GND), .OBDIV2(pll_750khz_GND), .OBDIV3(
        pll_750khz_GND), .OBDIV4(pll_750khz_GND), .OBMUX0(
        pll_750khz_GND), .OBMUX1(pll_750khz_GND), .OBMUX2(
        pll_750khz_GND), .DLYYB0(pll_750khz_GND), .DLYYB1(
        pll_750khz_GND), .DLYYB2(pll_750khz_GND), .DLYYB3(
        pll_750khz_GND), .DLYYB4(pll_750khz_GND), .DLYGLB0(
        pll_750khz_GND), .DLYGLB1(pll_750khz_GND), .DLYGLB2(
        pll_750khz_GND), .DLYGLB3(pll_750khz_GND), .DLYGLB4(
        pll_750khz_GND), .OCDIV0(pll_750khz_GND), .OCDIV1(
        pll_750khz_GND), .OCDIV2(pll_750khz_GND), .OCDIV3(
        pll_750khz_GND), .OCDIV4(pll_750khz_GND), .OCMUX0(
        pll_750khz_GND), .OCMUX1(pll_750khz_GND), .OCMUX2(
        pll_750khz_GND), .DLYYC0(pll_750khz_GND), .DLYYC1(
        pll_750khz_GND), .DLYYC2(pll_750khz_GND), .DLYYC3(
        pll_750khz_GND), .DLYYC4(pll_750khz_GND), .DLYGLC0(
        pll_750khz_GND), .DLYGLC1(pll_750khz_GND), .DLYGLC2(
        pll_750khz_GND), .DLYGLC3(pll_750khz_GND), .DLYGLC4(
        pll_750khz_GND), .FINDIV0(pll_750khz_GND), .FINDIV1(
        pll_750khz_GND), .FINDIV2(pll_750khz_VCC), .FINDIV3(
        pll_750khz_GND), .FINDIV4(pll_750khz_GND), .FINDIV5(
        pll_750khz_GND), .FINDIV6(pll_750khz_GND), .FBDIV0(
        pll_750khz_VCC), .FBDIV1(pll_750khz_GND), .FBDIV2(
        pll_750khz_VCC), .FBDIV3(pll_750khz_GND), .FBDIV4(
        pll_750khz_GND), .FBDIV5(pll_750khz_GND), .FBDIV6(
        pll_750khz_GND), .FBDLY0(pll_750khz_GND), .FBDLY1(
        pll_750khz_GND), .FBDLY2(pll_750khz_GND), .FBDLY3(
        pll_750khz_GND), .FBDLY4(pll_750khz_GND), .FBSEL0(
        pll_750khz_VCC), .FBSEL1(pll_750khz_GND), .XDLYSEL(
        pll_750khz_GND), .VCOSEL0(pll_750khz_VCC), .VCOSEL1(
        pll_750khz_GND), .VCOSEL2(pll_750khz_GND));
    PLLINT pllint1 (.A(AGL_clk_c), .Y(CLKAP));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    GND GND_i (.Y(GND));
    
endmodule


module agl_nano_diag_r1_top(
       AGL_clk,
       AGL_reset_n,
       AGL_ff,
       AGL_rxd,
       AGL_txd,
       LED,
       DIP_SW,
       PB_SW,
       GPIO
    );
input  AGL_clk;
input  AGL_reset_n;
input  AGL_ff;
input  AGL_rxd;
output AGL_txd;
output [7:0] LED;
input  [7:0] DIP_SW;
input  [3:0] PB_SW;
output [42:0] GPIO;

    wire int_reset_n, ff_enabled, GND, VCC, \pb_status[0]_net_1 , 
        \pb_status[1]_net_1 , \pb_status[2]_net_1 , 
        \pb_status[3]_net_1 , I_4, I_5, I_9, I_13, I_20, I_24, I_31, 
        I_38, I_45, I_52, I_56, I_66, I_73, I_77, I_84, I_91, I_98, 
        I_105, I_115, \counter[0]_net_1 , \counter[1]_net_1 , 
        \counter[2]_net_1 , \counter[3]_net_1 , \counter[4]_net_1 , 
        \counter[5]_net_1 , \counter[6]_net_1 , \counter[7]_net_1 , 
        \counter[8]_net_1 , \counter[9]_net_1 , \counter[10]_net_1 , 
        \counter[11]_net_1 , \counter[12]_net_1 , \counter[13]_net_1 , 
        \counter[14]_net_1 , \counter[15]_net_1 , \counter[16]_net_1 , 
        \counter[17]_net_1 , \counter[18]_net_1 , \sh_rgt[0]_net_1 , 
        \sh_rgt[1]_net_1 , \sh_rgt[2]_net_1 , \sh_rgt[3]_net_1 , 
        \sh_rgt[4]_net_1 , \sh_rgt[5]_net_1 , \sh_rgt[6]_net_1 , 
        \sh_rgt[7]_net_1 , \sh_lft[0]_net_1 , \sh_lft[1]_net_1 , 
        \sh_lft[2]_net_1 , \sh_lft[3]_net_1 , \sh_lft[4]_net_1 , 
        \sh_lft[5]_net_1 , \sh_lft[6]_net_1 , \sh_lft[7]_net_1 , 
        \LED_iv[0] , \LED_iv[1] , \LED_iv[2] , \LED_iv[3] , 
        \LED_iv[4] , \LED_iv[5] , \LED_iv[6] , \LED_iv[7] , N_20, N_22, 
        N_23, N_25, N_26, \LED_pad_RNO_1[5]_net_1 , 
        \LED_pad_RNO_0[5]_net_1 , \LED_pad_RNO_1[4]_net_1 , 
        \LED_pad_RNO_0[4]_net_1 , \LED_pad_RNO_1[3]_net_1 , 
        \LED_pad_RNO_0[3]_net_1 , \LED_pad_RNO_1[2]_net_1 , 
        \LED_pad_RNO_0[2]_net_1 , \LED_pad_RNO_1[1]_net_1 , 
        \LED_pad_RNO_0[1]_net_1 , \un3_counter.U1.DWACT_FINC_E[0] , 
        \un3_counter.U1.DWACT_FINC_E[1] , 
        \un3_counter.U1.DWACT_FINC_E[2] , 
        \un3_counter.U1.DWACT_FINC_E[3] , 
        \un3_counter.U1.DWACT_FINC_E[4] , 
        \un3_counter.U1.DWACT_FINC_E[5] , 
        \un3_counter.U1.DWACT_FINC_E[6] , 
        \un3_counter.U1.DWACT_FINC_E[7] , 
        \un3_counter.U1.DWACT_FINC_E[8] , 
        \un3_counter.U1.DWACT_FINC_E[9] , 
        \un3_counter.U1.DWACT_FINC_E[10] , 
        \un3_counter.U1.DWACT_FINC_E[11] , 
        \un3_counter.U1.DWACT_FINC_E[12] , 
        \un3_counter.U1.DWACT_FINC_E[28] , \un3_counter.N_4 , 
        \un3_counter.N_11 , \un3_counter.N_16 , \un3_counter.N_21 , 
        \un3_counter.N_26 , \un3_counter.N_31 , \un3_counter.N_34 , 
        \un3_counter.N_39 , \un3_counter.N_46 , \un3_counter.N_49 , 
        \un3_counter.N_54 , \un3_counter.N_59 , \un3_counter.N_64 , 
        \un3_counter.N_69 , \un3_counter.N_72 , \un3_counter.N_77 , 
        \un3_counter.N_80 , AGL_clk_c, AGL_reset_n_c, AGL_rxd_c, 
        AGL_txd_c, \DIP_SW_c[0] , \DIP_SW_c[1] , \DIP_SW_c[2] , 
        \DIP_SW_c[3] , \DIP_SW_c[4] , \DIP_SW_c[5] , \DIP_SW_c[6] , 
        \DIP_SW_c[7] , \PB_SW_c[0] , \PB_SW_c[1] , \PB_SW_c[2] , 
        \PB_SW_c[3] , sys_clk, un1_pb_status20_1_1, un1_pb_status20_1, 
        N_49, N_44, N_45, N_47, \pb_status19[0] , \pb_status18[0] , 
        N_53_i, \LED_iv_0_a2_0_0[7] , \LED_iv_0_a2_2_0[7] , 
        \LED_iv_0_0[0] , \LED_iv_0_a5_0[7] , \LED_iv_0_a5_1[7] , 
        \LED_iv_0_0[7] , \LED_iv_0_0[6] , \LED_iv_0_0[5] , 
        \LED_iv_0_0[4] , \LED_iv_0_0[3] , \LED_iv_0_0[2] , 
        \LED_iv_0_0[1] , \PB_SW_c_i[0] , GND_net_1, VCC_net_1;
    
    OUTBUF \GPIO_pad[32]  (.D(sys_clk), .PAD(GPIO[32]));
    DFN1E0C0 \pb_status[0]  (.D(\PB_SW_c_i[0] ), .CLK(sys_clk), .CLR(
        int_reset_n), .E(un1_pb_status20_1), .Q(\pb_status[0]_net_1 ));
    OUTBUF \GPIO_pad[22]  (.D(sys_clk), .PAD(GPIO[22]));
    DFN1P0 \sh_rgt[4]  (.D(\sh_rgt[3]_net_1 ), .CLK(
        \counter[17]_net_1 ), .PRE(int_reset_n), .Q(\sh_rgt[4]_net_1 ));
    INBUF \PB_SW_pad[1]  (.PAD(PB_SW[1]), .Y(\PB_SW_c[1] ));
    AND2 un3_counter_I_27 (.A(\counter[3]_net_1 ), .B(
        \counter[4]_net_1 ), .Y(\un3_counter.U1.DWACT_FINC_E[1] ));
    NOR3B \LED_pad_RNO_0[3]  (.A(\pb_status[1]_net_1 ), .B(
        \LED_iv_0_a2_2_0[7] ), .C(\sh_rgt[3]_net_1 ), .Y(
        \LED_pad_RNO_0[3]_net_1 ));
    OUTBUF \GPIO_pad[30]  (.D(sys_clk), .PAD(GPIO[30]));
    OUTBUF \GPIO_pad[20]  (.D(sys_clk), .PAD(GPIO[20]));
    INBUF \DIP_SW_pad[5]  (.PAD(DIP_SW[5]), .Y(\DIP_SW_c[5] ));
    INV un3_counter_I_4 (.A(\counter[0]_net_1 ), .Y(I_4));
    NOR3 \LED_pad_RNO[3]  (.A(\LED_pad_RNO_0[3]_net_1 ), .B(
        \LED_pad_RNO_1[3]_net_1 ), .C(\LED_iv_0_0[3] ), .Y(\LED_iv[3] )
        );
    DFN1C0 \counter[11]  (.D(I_66), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\counter[11]_net_1 ));
    AND2 un3_counter_I_94 (.A(\un3_counter.U1.DWACT_FINC_E[7] ), .B(
        \un3_counter.U1.DWACT_FINC_E[9] ), .Y(
        \un3_counter.U1.DWACT_FINC_E[10] ));
    DFN1P0 \sh_rgt[5]  (.D(\sh_rgt[4]_net_1 ), .CLK(
        \counter[17]_net_1 ), .PRE(int_reset_n), .Q(\sh_rgt[5]_net_1 ));
    NOR2B \pb_status_RNIOEA4[2]  (.A(N_47), .B(\pb_status[2]_net_1 ), 
        .Y(\LED_iv_0_a2_0_0[7] ));
    AND3 un3_counter_I_108 (.A(\counter[15]_net_1 ), .B(
        \counter[16]_net_1 ), .C(\counter[17]_net_1 ), .Y(
        \un3_counter.U1.DWACT_FINC_E[12] ));
    DFN1E0C0 \pb_status[2]  (.D(\pb_status19[0] ), .CLK(sys_clk), .CLR(
        int_reset_n), .E(un1_pb_status20_1), .Q(\pb_status[2]_net_1 ));
    OUTBUF \GPIO_pad[13]  (.D(sys_clk), .PAD(GPIO[13]));
    INV \pb_status_RNO[0]  (.A(\PB_SW_c[0] ), .Y(\PB_SW_c_i[0] ));
    DFN1P0 \sh_lft[6]  (.D(\sh_lft[7]_net_1 ), .CLK(
        \counter[17]_net_1 ), .PRE(int_reset_n), .Q(\sh_lft[6]_net_1 ));
    OUTBUF \GPIO_pad[14]  (.D(sys_clk), .PAD(GPIO[14]));
    DFN1C0 \counter[6]  (.D(I_31), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\counter[6]_net_1 ));
    AND3 un3_counter_I_48 (.A(\un3_counter.U1.DWACT_FINC_E[0] ), .B(
        \un3_counter.U1.DWACT_FINC_E[2] ), .C(
        \un3_counter.U1.DWACT_FINC_E[3] ), .Y(
        \un3_counter.U1.DWACT_FINC_E[4] ));
    AND3 un3_counter_I_114 (.A(\un3_counter.U1.DWACT_FINC_E[28] ), .B(
        \un3_counter.U1.DWACT_FINC_E[10] ), .C(
        \un3_counter.U1.DWACT_FINC_E[12] ), .Y(\un3_counter.N_4 ));
    OUTBUF \GPIO_pad[6]  (.D(sys_clk), .PAD(GPIO[6]));
    XOR2 un3_counter_I_13 (.A(\un3_counter.N_77 ), .B(
        \counter[3]_net_1 ), .Y(I_13));
    AO1D \LED_pad_RNO_2[2]  (.A(N_53_i), .B(\DIP_SW_c[2] ), .C(N_20), 
        .Y(\LED_iv_0_0[2] ));
    OUTBUF \GPIO_pad[35]  (.D(sys_clk), .PAD(GPIO[35]));
    DFN1C0 \counter[3]  (.D(I_13), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\counter[3]_net_1 ));
    DFN1C0 \counter[2]  (.D(I_9), .CLK(sys_clk), .CLR(int_reset_n), .Q(
        \counter[2]_net_1 ));
    OUTBUF \GPIO_pad[17]  (.D(sys_clk), .PAD(GPIO[17]));
    XOR2 un3_counter_I_73 (.A(\un3_counter.N_34 ), .B(
        \counter[12]_net_1 ), .Y(I_73));
    OUTBUF \GPIO_pad[25]  (.D(sys_clk), .PAD(GPIO[25]));
    XOR2 un3_counter_I_52 (.A(\un3_counter.N_49 ), .B(
        \counter[9]_net_1 ), .Y(I_52));
    NOR2B \PB_SW_pad_RNIQOI2[3]  (.A(un1_pb_status20_1_1), .B(
        \PB_SW_c[3] ), .Y(un1_pb_status20_1));
    NOR3A \LED_pad_RNO_1[4]  (.A(\LED_iv_0_a2_0_0[7] ), .B(
        \pb_status[3]_net_1 ), .C(\sh_lft[4]_net_1 ), .Y(
        \LED_pad_RNO_1[4]_net_1 ));
    OUTBUF \GPIO_pad[36]  (.D(sys_clk), .PAD(GPIO[36]));
    OUTBUF \GPIO_pad[26]  (.D(sys_clk), .PAD(GPIO[26]));
    NOR3B \LED_pad_RNO_0[7]  (.A(\pb_status[1]_net_1 ), .B(
        \LED_iv_0_a2_2_0[7] ), .C(\sh_rgt[7]_net_1 ), .Y(N_23));
    NOR3A \LED_pad_RNO_1[7]  (.A(\LED_iv_0_a2_0_0[7] ), .B(
        \pb_status[3]_net_1 ), .C(\sh_lft[7]_net_1 ), .Y(N_22));
    DFN1C0 \counter[17]  (.D(I_105), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\counter[17]_net_1 ));
    AND2 un3_counter_I_41 (.A(\counter[6]_net_1 ), .B(
        \counter[7]_net_1 ), .Y(\un3_counter.U1.DWACT_FINC_E[3] ));
    DFN1C0 \counter[4]  (.D(I_20), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\counter[4]_net_1 ));
    XOR2 un3_counter_I_5 (.A(\counter[0]_net_1 ), .B(
        \counter[1]_net_1 ), .Y(I_5));
    NOR3A \LED_pad_RNO_1[2]  (.A(\LED_iv_0_a2_0_0[7] ), .B(
        \pb_status[3]_net_1 ), .C(\sh_lft[2]_net_1 ), .Y(
        \LED_pad_RNO_1[2]_net_1 ));
    DFN1C0 \counter[10]  (.D(I_56), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\counter[10]_net_1 ));
    OUTBUF \GPIO_pad[7]  (.D(sys_clk), .PAD(GPIO[7]));
    NOR3A \LED_pad_RNO_1[5]  (.A(\LED_iv_0_a2_0_0[7] ), .B(
        \pb_status[3]_net_1 ), .C(\sh_lft[5]_net_1 ), .Y(
        \LED_pad_RNO_1[5]_net_1 ));
    DFN1E0C0 \pb_status[3]  (.D(un1_pb_status20_1_1), .CLK(sys_clk), 
        .CLR(int_reset_n), .E(un1_pb_status20_1), .Q(
        \pb_status[3]_net_1 ));
    GND GND_i (.Y(GND));
    DFN1C0 \counter[13]  (.D(I_77), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\counter[13]_net_1 ));
    INBUF \DIP_SW_pad[4]  (.PAD(DIP_SW[4]), .Y(\DIP_SW_c[4] ));
    AND3 un3_counter_I_62 (.A(\un3_counter.U1.DWACT_FINC_E[0] ), .B(
        \un3_counter.U1.DWACT_FINC_E[2] ), .C(
        \un3_counter.U1.DWACT_FINC_E[5] ), .Y(
        \un3_counter.U1.DWACT_FINC_E[6] ));
    DFN1P0 \sh_lft[1]  (.D(\sh_lft[2]_net_1 ), .CLK(
        \counter[17]_net_1 ), .PRE(int_reset_n), .Q(\sh_lft[1]_net_1 ));
    NOR3B \pb_status_RNO[2]  (.A(\PB_SW_c[0] ), .B(\PB_SW_c[1] ), .C(
        \PB_SW_c[2] ), .Y(\pb_status19[0] ));
    VCC VCC_i_0 (.Y(VCC_net_1));
    DFN1C0 \counter[12]  (.D(I_73), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\counter[12]_net_1 ));
    OUTBUF \GPIO_pad[38]  (.D(sys_clk), .PAD(GPIO[38]));
    OUTBUF \GPIO_pad[28]  (.D(sys_clk), .PAD(GPIO[28]));
    AND3 un3_counter_I_111 (.A(\un3_counter.U1.DWACT_FINC_E[0] ), .B(
        \un3_counter.U1.DWACT_FINC_E[2] ), .C(
        \un3_counter.U1.DWACT_FINC_E[5] ), .Y(
        \un3_counter.U1.DWACT_FINC_E[28] ));
    INBUF \DIP_SW_pad[2]  (.PAD(DIP_SW[2]), .Y(\DIP_SW_c[2] ));
    OUTBUF \GPIO_pad[31]  (.D(sys_clk), .PAD(GPIO[31]));
    INBUF \DIP_SW_pad[3]  (.PAD(DIP_SW[3]), .Y(\DIP_SW_c[3] ));
    OUTBUF \GPIO_pad[21]  (.D(sys_clk), .PAD(GPIO[21]));
    OUTBUF \GPIO_pad[39]  (.D(sys_clk), .PAD(GPIO[39]));
    NOR3A \pb_status_RNIR5U2[0]  (.A(int_reset_n), .B(
        \pb_status[0]_net_1 ), .C(\pb_status[1]_net_1 ), .Y(N_47));
    INBUF \DIP_SW_pad[0]  (.PAD(DIP_SW[0]), .Y(\DIP_SW_c[0] ));
    DFN1C0 \sh_lft[7]  (.D(\sh_lft[0]_net_1 ), .CLK(
        \counter[17]_net_1 ), .CLR(int_reset_n), .Q(\sh_lft[7]_net_1 ));
    OUTBUF \GPIO_pad[29]  (.D(sys_clk), .PAD(GPIO[29]));
    DFN1C0 \counter[15]  (.D(I_91), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\counter[15]_net_1 ));
    NOR2B un3_counter_I_8 (.A(\counter[1]_net_1 ), .B(
        \counter[0]_net_1 ), .Y(\un3_counter.N_80 ));
    DFN1P0 \sh_rgt[7]  (.D(\sh_rgt[6]_net_1 ), .CLK(
        \counter[17]_net_1 ), .PRE(int_reset_n), .Q(\sh_rgt[7]_net_1 ));
    AO1D \LED_pad_RNO_2[4]  (.A(N_53_i), .B(\DIP_SW_c[4] ), .C(N_20), 
        .Y(\LED_iv_0_0[4] ));
    INBUF \DIP_SW_pad[6]  (.PAD(DIP_SW[6]), .Y(\DIP_SW_c[6] ));
    OUTBUF \LED_pad[1]  (.D(\LED_iv[1] ), .PAD(LED[1]));
    NOR2B un3_counter_I_51 (.A(\counter[8]_net_1 ), .B(
        \un3_counter.U1.DWACT_FINC_E[4] ), .Y(\un3_counter.N_49 ));
    OUTBUF \GPIO_pad[4]  (.D(sys_clk), .PAD(GPIO[4]));
    NOR2A \pb_status_RNO[1]  (.A(\PB_SW_c[0] ), .B(\PB_SW_c[1] ), .Y(
        \pb_status18[0] ));
    VCC VCC_i (.Y(VCC));
    DFN1P0 \sh_rgt[3]  (.D(\sh_rgt[2]_net_1 ), .CLK(
        \counter[17]_net_1 ), .PRE(int_reset_n), .Q(\sh_rgt[3]_net_1 ));
    NOR3B \LED_pad_RNO_0[6]  (.A(\pb_status[1]_net_1 ), .B(
        \LED_iv_0_a2_2_0[7] ), .C(\sh_rgt[6]_net_1 ), .Y(N_26));
    NOR3 \LED_pad_RNO[0]  (.A(N_45), .B(N_44), .C(\LED_iv_0_0[0] ), .Y(
        \LED_iv[0] ));
    DFN1C0 \counter[1]  (.D(I_5), .CLK(sys_clk), .CLR(int_reset_n), .Q(
        \counter[1]_net_1 ));
    agl_nano_ff flash_freeze (.AGL_clk_c(AGL_clk_c), .int_reset_n(
        int_reset_n), .ff_enabled(ff_enabled), .AGL_ff(AGL_ff));
    NOR3 \LED_pad_RNO[4]  (.A(\LED_pad_RNO_0[4]_net_1 ), .B(
        \LED_pad_RNO_1[4]_net_1 ), .C(\LED_iv_0_0[4] ), .Y(\LED_iv[4] )
        );
    OUTBUF \GPIO_pad[5]  (.D(sys_clk), .PAD(GPIO[5]));
    XOR2 un3_counter_I_115 (.A(\un3_counter.N_4 ), .B(
        \counter[18]_net_1 ), .Y(I_115));
    NOR3B \LED_pad_RNO_0[2]  (.A(\pb_status[1]_net_1 ), .B(
        \LED_iv_0_a2_2_0[7] ), .C(\sh_rgt[2]_net_1 ), .Y(
        \LED_pad_RNO_0[2]_net_1 ));
    AND3 un3_counter_I_87 (.A(\counter[12]_net_1 ), .B(
        \counter[13]_net_1 ), .C(\counter[14]_net_1 ), .Y(
        \un3_counter.U1.DWACT_FINC_E[9] ));
    XOR2 un3_counter_I_38 (.A(\un3_counter.N_59 ), .B(
        \counter[7]_net_1 ), .Y(I_38));
    DFN1C0 \counter[5]  (.D(I_24), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\counter[5]_net_1 ));
    OUTBUF \LED_pad[6]  (.D(\LED_iv[6] ), .PAD(LED[6]));
    AND3 un3_counter_I_37 (.A(\un3_counter.U1.DWACT_FINC_E[0] ), .B(
        \un3_counter.U1.DWACT_FINC_E[2] ), .C(\counter[6]_net_1 ), .Y(
        \un3_counter.N_59 ));
    XOR2 un3_counter_I_9 (.A(\un3_counter.N_80 ), .B(
        \counter[2]_net_1 ), .Y(I_9));
    OUTBUF \GPIO_pad[0]  (.D(sys_clk), .PAD(GPIO[0]));
    NOR3 \LED_pad_RNO[5]  (.A(\LED_pad_RNO_0[5]_net_1 ), .B(
        \LED_pad_RNO_1[5]_net_1 ), .C(\LED_iv_0_0[5] ), .Y(\LED_iv[5] )
        );
    XOR2 un3_counter_I_20 (.A(\un3_counter.N_72 ), .B(
        \counter[4]_net_1 ), .Y(I_20));
    INBUF \PB_SW_pad[2]  (.PAD(PB_SW[2]), .Y(\PB_SW_c[2] ));
    AO1D \LED_pad_RNO_2[5]  (.A(N_53_i), .B(\DIP_SW_c[5] ), .C(N_20), 
        .Y(\LED_iv_0_0[5] ));
    XOR2 un3_counter_I_56 (.A(\un3_counter.N_46 ), .B(
        \counter[10]_net_1 ), .Y(I_56));
    DFN1C0 \counter[16]  (.D(I_98), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\counter[16]_net_1 ));
    AND3 un3_counter_I_104 (.A(\un3_counter.U1.DWACT_FINC_E[6] ), .B(
        \un3_counter.U1.DWACT_FINC_E[10] ), .C(
        \un3_counter.U1.DWACT_FINC_E[11] ), .Y(\un3_counter.N_11 ));
    DFN1P0 \sh_lft[2]  (.D(\sh_lft[3]_net_1 ), .CLK(
        \counter[17]_net_1 ), .PRE(int_reset_n), .Q(\sh_lft[2]_net_1 ));
    XOR2 un3_counter_I_31 (.A(\un3_counter.N_64 ), .B(
        \counter[6]_net_1 ), .Y(I_31));
    DFN1C0 \sh_rgt[0]  (.D(\sh_rgt[7]_net_1 ), .CLK(
        \counter[17]_net_1 ), .CLR(int_reset_n), .Q(\sh_rgt[0]_net_1 ));
    NOR3B \pb_status_RNIQMA4[0]  (.A(int_reset_n), .B(N_49), .C(
        \pb_status[0]_net_1 ), .Y(\LED_iv_0_a2_2_0[7] ));
    OUTBUF \GPIO_pad[33]  (.D(sys_clk), .PAD(GPIO[33]));
    OUTBUF \LED_pad[5]  (.D(\LED_iv[5] ), .PAD(LED[5]));
    OUTBUF \GPIO_pad[23]  (.D(sys_clk), .PAD(GPIO[23]));
    XOR2 un3_counter_I_98 (.A(\un3_counter.N_16 ), .B(
        \counter[16]_net_1 ), .Y(I_98));
    AND3 un3_counter_I_23 (.A(\un3_counter.U1.DWACT_FINC_E[0] ), .B(
        \counter[3]_net_1 ), .C(\counter[4]_net_1 ), .Y(
        \un3_counter.N_69 ));
    NOR3B \LED_pad_RNO_0[0]  (.A(\pb_status[1]_net_1 ), .B(
        \LED_iv_0_a2_2_0[7] ), .C(\sh_rgt[0]_net_1 ), .Y(N_45));
    OUTBUF \GPIO_pad[34]  (.D(sys_clk), .PAD(GPIO[34]));
    AO1D \LED_pad_RNO_2[6]  (.A(N_53_i), .B(\DIP_SW_c[6] ), .C(N_20), 
        .Y(\LED_iv_0_0[6] ));
    OUTBUF \GPIO_pad[1]  (.D(sys_clk), .PAD(GPIO[1]));
    AND3 un3_counter_I_59 (.A(\counter[6]_net_1 ), .B(
        \counter[7]_net_1 ), .C(\counter[8]_net_1 ), .Y(
        \un3_counter.U1.DWACT_FINC_E[5] ));
    OUTBUF \GPIO_pad[8]  (.D(sys_clk), .PAD(GPIO[8]));
    OUTBUF \GPIO_pad[24]  (.D(sys_clk), .PAD(GPIO[24]));
    INBUF \DIP_SW_pad[1]  (.PAD(DIP_SW[1]), .Y(\DIP_SW_c[1] ));
    AND3 un3_counter_I_12 (.A(\counter[0]_net_1 ), .B(
        \counter[1]_net_1 ), .C(\counter[2]_net_1 ), .Y(
        \un3_counter.N_77 ));
    NOR2B \pb_status_RNIV0I1[0]  (.A(int_reset_n), .B(
        \pb_status[0]_net_1 ), .Y(\LED_iv_0_a5_1[7] ));
    AND3 un3_counter_I_97 (.A(\un3_counter.U1.DWACT_FINC_E[6] ), .B(
        \un3_counter.U1.DWACT_FINC_E[10] ), .C(\counter[15]_net_1 ), 
        .Y(\un3_counter.N_16 ));
    INBUF AGL_rxd_pad (.PAD(AGL_rxd), .Y(AGL_rxd_c));
    NOR2B un3_counter_I_72 (.A(\un3_counter.U1.DWACT_FINC_E[7] ), .B(
        \un3_counter.U1.DWACT_FINC_E[6] ), .Y(\un3_counter.N_34 ));
    OUTBUF \GPIO_pad[37]  (.D(sys_clk), .PAD(GPIO[37]));
    OUTBUF \GPIO_pad[27]  (.D(sys_clk), .PAD(GPIO[27]));
    XOR2 un3_counter_I_66 (.A(\un3_counter.N_39 ), .B(
        \counter[11]_net_1 ), .Y(I_66));
    DFN1P0 \sh_lft[0]  (.D(\sh_lft[1]_net_1 ), .CLK(
        \counter[17]_net_1 ), .PRE(int_reset_n), .Q(\sh_lft[0]_net_1 ));
    OUTBUF \LED_pad[4]  (.D(\LED_iv[4] ), .PAD(LED[4]));
    OUTBUF \LED_pad[0]  (.D(\LED_iv[0] ), .PAD(LED[0]));
    INBUF \DIP_SW_pad[7]  (.PAD(DIP_SW[7]), .Y(\DIP_SW_c[7] ));
    NOR2A \counter_RNIS5S2[18]  (.A(N_49), .B(\counter[18]_net_1 ), .Y(
        \LED_iv_0_a5_0[7] ));
    XOR2 un3_counter_I_45 (.A(\un3_counter.N_54 ), .B(
        \counter[8]_net_1 ), .Y(I_45));
    XOR2 un3_counter_I_24 (.A(\un3_counter.N_69 ), .B(
        \counter[5]_net_1 ), .Y(I_24));
    DFN1C0 \counter[14]  (.D(I_84), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\counter[14]_net_1 ));
    NOR2 \pb_status_RNIRLO2[2]  (.A(\pb_status[3]_net_1 ), .B(
        \pb_status[2]_net_1 ), .Y(N_49));
    XOR2 un3_counter_I_91 (.A(\un3_counter.N_21 ), .B(
        \counter[15]_net_1 ), .Y(I_91));
    OUTBUF \GPIO_pad[12]  (.D(sys_clk), .PAD(GPIO[12]));
    AND3 un3_counter_I_69 (.A(\counter[9]_net_1 ), .B(
        \counter[10]_net_1 ), .C(\counter[11]_net_1 ), .Y(
        \un3_counter.U1.DWACT_FINC_E[7] ));
    agl_nano_uart uart (.sys_clk(sys_clk), .int_reset_n(int_reset_n), 
        .AGL_txd_c(AGL_txd_c), .AGL_rxd_c(AGL_rxd_c), .ff_enabled(
        ff_enabled));
    NOR3A \LED_pad_RNO_1[1]  (.A(\LED_iv_0_a2_0_0[7] ), .B(
        \pb_status[3]_net_1 ), .C(\sh_lft[1]_net_1 ), .Y(
        \LED_pad_RNO_1[1]_net_1 ));
    OUTBUF \LED_pad[7]  (.D(\LED_iv[7] ), .PAD(LED[7]));
    DFN1E0C0 \pb_status[1]  (.D(\pb_status18[0] ), .CLK(sys_clk), .CLR(
        int_reset_n), .E(un1_pb_status20_1), .Q(\pb_status[1]_net_1 ));
    OUTBUF \GPIO_pad[42]  (.D(sys_clk), .PAD(GPIO[42]));
    INBUF AGL_reset_n_pad (.PAD(AGL_reset_n), .Y(AGL_reset_n_c));
    OUTBUF \GPIO_pad[3]  (.D(sys_clk), .PAD(GPIO[3]));
    GND GND_i_0 (.Y(GND_net_1));
    NOR3 \LED_pad_RNO[2]  (.A(\LED_pad_RNO_0[2]_net_1 ), .B(
        \LED_pad_RNO_1[2]_net_1 ), .C(\LED_iv_0_0[2] ), .Y(\LED_iv[2] )
        );
    AND2 un3_counter_I_101 (.A(\counter[15]_net_1 ), .B(
        \counter[16]_net_1 ), .Y(\un3_counter.U1.DWACT_FINC_E[11] ));
    OUTBUF \GPIO_pad[10]  (.D(sys_clk), .PAD(GPIO[10]));
    OUTBUF \GPIO_pad[2]  (.D(sys_clk), .PAD(GPIO[2]));
    NOR3C \PB_SW_pad_RNIIST1[2]  (.A(\PB_SW_c[0] ), .B(\PB_SW_c[1] ), 
        .C(\PB_SW_c[2] ), .Y(un1_pb_status20_1_1));
    NOR3B \LED_pad_RNO_0[5]  (.A(\pb_status[1]_net_1 ), .B(
        \LED_iv_0_a2_2_0[7] ), .C(\sh_rgt[5]_net_1 ), .Y(
        \LED_pad_RNO_0[5]_net_1 ));
    XOR2 un3_counter_I_77 (.A(\un3_counter.N_31 ), .B(
        \counter[13]_net_1 ), .Y(I_77));
    AND3 un3_counter_I_44 (.A(\un3_counter.U1.DWACT_FINC_E[0] ), .B(
        \un3_counter.U1.DWACT_FINC_E[2] ), .C(
        \un3_counter.U1.DWACT_FINC_E[3] ), .Y(\un3_counter.N_54 ));
    OR3B \pb_status_RNIMRM5[2]  (.A(\pb_status[3]_net_1 ), .B(N_47), 
        .C(\pb_status[2]_net_1 ), .Y(N_53_i));
    NOR3B \LED_pad_RNO_0[4]  (.A(\pb_status[1]_net_1 ), .B(
        \LED_iv_0_a2_2_0[7] ), .C(\sh_rgt[4]_net_1 ), .Y(
        \LED_pad_RNO_0[4]_net_1 ));
    OUTBUF \GPIO_pad[40]  (.D(sys_clk), .PAD(GPIO[40]));
    INBUF \PB_SW_pad[0]  (.PAD(PB_SW[0]), .Y(\PB_SW_c[0] ));
    OUTBUF AGL_txd_pad (.D(AGL_txd_c), .PAD(AGL_txd));
    AND3 un3_counter_I_55 (.A(\un3_counter.U1.DWACT_FINC_E[4] ), .B(
        \counter[8]_net_1 ), .C(\counter[9]_net_1 ), .Y(
        \un3_counter.N_46 ));
    DFN1P0 \sh_rgt[2]  (.D(\sh_rgt[1]_net_1 ), .CLK(
        \counter[17]_net_1 ), .PRE(int_reset_n), .Q(\sh_rgt[2]_net_1 ));
    NOR3A \LED_pad_RNO_1[3]  (.A(\LED_iv_0_a2_0_0[7] ), .B(
        \pb_status[3]_net_1 ), .C(\sh_lft[3]_net_1 ), .Y(
        \LED_pad_RNO_1[3]_net_1 ));
    NOR3A \LED_pad_RNO_1[0]  (.A(\LED_iv_0_a2_0_0[7] ), .B(
        \pb_status[3]_net_1 ), .C(\sh_lft[0]_net_1 ), .Y(N_44));
    OUTBUF \GPIO_pad[15]  (.D(sys_clk), .PAD(GPIO[15]));
    DFN1C0 \counter[7]  (.D(I_38), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\counter[7]_net_1 ));
    AO1D \LED_pad_RNO_2[1]  (.A(N_53_i), .B(\DIP_SW_c[1] ), .C(N_20), 
        .Y(\LED_iv_0_0[1] ));
    XOR2 un3_counter_I_105 (.A(\un3_counter.N_11 ), .B(
        \counter[17]_net_1 ), .Y(I_105));
    DFN1P0 \sh_rgt[1]  (.D(\sh_rgt[0]_net_1 ), .CLK(
        \counter[17]_net_1 ), .PRE(int_reset_n), .Q(\sh_rgt[1]_net_1 ));
    DFN1P0 \sh_lft[5]  (.D(\sh_lft[6]_net_1 ), .CLK(
        \counter[17]_net_1 ), .PRE(int_reset_n), .Q(\sh_lft[5]_net_1 ));
    AO1D \LED_pad_RNO_2[0]  (.A(N_53_i), .B(\DIP_SW_c[0] ), .C(N_20), 
        .Y(\LED_iv_0_0[0] ));
    OUTBUF \GPIO_pad[16]  (.D(sys_clk), .PAD(GPIO[16]));
    DFN1P0 \sh_lft[3]  (.D(\sh_lft[4]_net_1 ), .CLK(
        \counter[17]_net_1 ), .PRE(int_reset_n), .Q(\sh_lft[3]_net_1 ));
    AND3 un3_counter_I_65 (.A(\un3_counter.U1.DWACT_FINC_E[6] ), .B(
        \counter[9]_net_1 ), .C(\counter[10]_net_1 ), .Y(
        \un3_counter.N_39 ));
    AO1D \LED_pad_RNO_2[7]  (.A(N_53_i), .B(\DIP_SW_c[7] ), .C(N_20), 
        .Y(\LED_iv_0_0[7] ));
    INBUF \PB_SW_pad[3]  (.PAD(PB_SW[3]), .Y(\PB_SW_c[3] ));
    AO1D \LED_pad_RNO_2[3]  (.A(N_53_i), .B(\DIP_SW_c[3] ), .C(N_20), 
        .Y(\LED_iv_0_0[3] ));
    OUTBUF \LED_pad[3]  (.D(\LED_iv[3] ), .PAD(LED[3]));
    AND2 un3_counter_I_80 (.A(\counter[12]_net_1 ), .B(
        \counter[13]_net_1 ), .Y(\un3_counter.U1.DWACT_FINC_E[8] ));
    AND3 un3_counter_I_16 (.A(\counter[0]_net_1 ), .B(
        \counter[1]_net_1 ), .C(\counter[2]_net_1 ), .Y(
        \un3_counter.U1.DWACT_FINC_E[0] ));
    DFN1P0 \sh_lft[4]  (.D(\sh_lft[5]_net_1 ), .CLK(
        \counter[17]_net_1 ), .PRE(int_reset_n), .Q(\sh_lft[4]_net_1 ));
    AND3 un3_counter_I_76 (.A(\un3_counter.U1.DWACT_FINC_E[6] ), .B(
        \un3_counter.U1.DWACT_FINC_E[7] ), .C(\counter[12]_net_1 ), .Y(
        \un3_counter.N_31 ));
    AND3 un3_counter_I_30 (.A(\un3_counter.U1.DWACT_FINC_E[0] ), .B(
        \un3_counter.U1.DWACT_FINC_E[1] ), .C(\counter[5]_net_1 ), .Y(
        \un3_counter.N_64 ));
    pll_750khz static_pll (.int_reset_n(int_reset_n), .pll_750khz_VCC(
        VCC), .pll_750khz_GND(GND), .AGL_clk_c(AGL_clk_c), .sys_clk(
        sys_clk));
    NOR3B \pb_status_RNINBQ5[1]  (.A(\LED_iv_0_a5_0[7] ), .B(
        \LED_iv_0_a5_1[7] ), .C(\pb_status[1]_net_1 ), .Y(N_20));
    OUTBUF \GPIO_pad[18]  (.D(sys_clk), .PAD(GPIO[18]));
    OUTBUF \LED_pad[2]  (.D(\LED_iv[2] ), .PAD(LED[2]));
    OUTBUF \GPIO_pad[9]  (.D(sys_clk), .PAD(GPIO[9]));
    NOR3 \LED_pad_RNO[7]  (.A(N_23), .B(N_22), .C(\LED_iv_0_0[7] ), .Y(
        \LED_iv[7] ));
    AND3 un3_counter_I_83 (.A(\un3_counter.U1.DWACT_FINC_E[6] ), .B(
        \un3_counter.U1.DWACT_FINC_E[7] ), .C(
        \un3_counter.U1.DWACT_FINC_E[8] ), .Y(\un3_counter.N_26 ));
    NOR2B un3_counter_I_19 (.A(\counter[3]_net_1 ), .B(
        \un3_counter.U1.DWACT_FINC_E[0] ), .Y(\un3_counter.N_72 ));
    OUTBUF \GPIO_pad[11]  (.D(sys_clk), .PAD(GPIO[11]));
    DFN1C0 \counter[9]  (.D(I_52), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\counter[9]_net_1 ));
    CLKINT reset_n (.A(AGL_reset_n_c), .Y(int_reset_n));
    OUTBUF \GPIO_pad[19]  (.D(sys_clk), .PAD(GPIO[19]));
    DFN1P0 \sh_rgt[6]  (.D(\sh_rgt[5]_net_1 ), .CLK(
        \counter[17]_net_1 ), .PRE(int_reset_n), .Q(\sh_rgt[6]_net_1 ));
    NOR3 \LED_pad_RNO[6]  (.A(N_26), .B(N_25), .C(\LED_iv_0_0[6] ), .Y(
        \LED_iv[6] ));
    NOR3B \LED_pad_RNO_0[1]  (.A(\pb_status[1]_net_1 ), .B(
        \LED_iv_0_a2_2_0[7] ), .C(\sh_rgt[1]_net_1 ), .Y(
        \LED_pad_RNO_0[1]_net_1 ));
    INBUF AGL_clk_pad (.PAD(AGL_clk), .Y(AGL_clk_c));
    NOR3A \LED_pad_RNO_1[6]  (.A(\LED_iv_0_a2_0_0[7] ), .B(
        \pb_status[3]_net_1 ), .C(\sh_lft[6]_net_1 ), .Y(N_25));
    OUTBUF \GPIO_pad[41]  (.D(sys_clk), .PAD(GPIO[41]));
    NOR3 \LED_pad_RNO[1]  (.A(\LED_pad_RNO_0[1]_net_1 ), .B(
        \LED_pad_RNO_1[1]_net_1 ), .C(\LED_iv_0_0[1] ), .Y(\LED_iv[1] )
        );
    DFN1C0 \counter[8]  (.D(I_45), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\counter[8]_net_1 ));
    XOR2 un3_counter_I_84 (.A(\un3_counter.N_26 ), .B(
        \counter[14]_net_1 ), .Y(I_84));
    DFN1C0 \counter[18]  (.D(I_115), .CLK(sys_clk), .CLR(int_reset_n), 
        .Q(\counter[18]_net_1 ));
    AND3 un3_counter_I_90 (.A(\un3_counter.U1.DWACT_FINC_E[6] ), .B(
        \un3_counter.U1.DWACT_FINC_E[7] ), .C(
        \un3_counter.U1.DWACT_FINC_E[9] ), .Y(\un3_counter.N_21 ));
    DFN1C0 \counter[0]  (.D(I_4), .CLK(sys_clk), .CLR(int_reset_n), .Q(
        \counter[0]_net_1 ));
    AND3 un3_counter_I_34 (.A(\counter[3]_net_1 ), .B(
        \counter[4]_net_1 ), .C(\counter[5]_net_1 ), .Y(
        \un3_counter.U1.DWACT_FINC_E[2] ));
    
endmodule
